<?php

class Player implements tables
{
    use DatabaseTables;
    const NONAME = "Name dont exists";
    
    /**
     *  Player Name 
     */
    public function getLoginName(){
        $session = new Session();
        return $session->getSession('playerName');
    }
    
    /**
     * Is Player Online?
     * @return boolean
     */
    public function isPlayerOnline(){
        $session = new Session();
        if($session->getSession('playerName') == false){
            return false;
        }
        return true;
    }
    
    
    /**
     * Player Name from Database 
     * @param integer $playerId (Identifications ID) 
     * @return string
     */
    public function getPlayerName( $playerId )
    {
        $SQL = new MySql();
        $tplAccounts = $this->getAccountTables();
        
        $strPlayerName = self::NONAME;
        
        $strSql = $SQL->selectSqlData($tplAccounts['acc'],false,array(
            'id' => $playerId
        ));
                
        $result = $SQL->getMysqlQuery($strSql);
        
        while($daten = mysql_fetch_array($result))
        {
            $strPlayerName = $daten['playerName'];
        }
        
      return $strPlayerName;
    }
    
    /**
    * Player Login Key
    * @param string $strPlayerName
    * @return string
    */
   public function getPlayerLoginKey( $strPlayerName )
   {
       $playerLoginKey = self::EMPTY_STRING;
       $aryAccountTables = $this->getAccountTables();
       
           $SQL = new MySQL();
           $strSql = $SQL->selectSqlData($aryAccountTables['acc'], array('playerKey'), array(

               'playerName' => $strPlayerName
           )); $result = $SQL->getMysqlQuery($strSql);
       
               while($daten = mysql_fetch_array($result))
               {
                   $playerLoginKey = $daten['playerKey'];
                   break;
               }
       
       return $playerLoginKey;
   }
   
   /** 
    * compare input Money with Player Money
    * Is PlayerMoney more, return true;
    * Is PlayerMoney not more, return false.
    * 
    * @param type $strPlayerName
    * @param type $dblMoney (input Money)
    * @return boolean
    */
   public function isPlayerMoney($strPlayerName,$dblMoney){
	     
        if($this->getPlayerMoney($strPlayerName) >= $dblMoney)
               return true;
         		 
     return false;
   }
   
   /**
    * @param string $strPlayerName
    * @return double
    */
   public function getPlayerMoney($strPlayerName)
   {
      $SQL = new MySQL();
      $aryAccountTables = $this->getAccountTables();
      $dblPlayerMoney   = "";
      
      $intPlayerId = $this->getPlayerId($strPlayerName);
      
          $strSql = $SQL->selectSqlData($aryAccountTables['acc_money'], array('money'), array(

              'id' => $intPlayerId
              
          )); $result = $SQL->getMysqlQuery($strSql);
      
      
      while($daten = mysql_fetch_array($result)){
          
          $dblPlayerMoney = $daten['money'];
          break;
      }
      
      return $dblPlayerMoney;        
   }
   
   /**
    * Check PlayerName exists in Database
    * @param string $strPlayerName
    * @return boolean
    */
   public function existsPlayerName( $strPlayerName )
   {
       $SQL = new MySQL();
       $aryAccountTables = $this->getAccountTables();
       
       $strSql = $SQL->selectSqlData($aryAccountTables['acc'], array('playerName'), array(
           
           'playerName' => $strPlayerName
       )); $result = $SQL->getMysqlQuery($strSql);
       
      return (!$result) ? false : true;
   }
   
   
   
   /**
    * @param string $strPlayerName
    * @param double $dblMoney
    */
   public function addPlayerMoney($strPlayerName,$dblMoney)
   {
       $SQL              = new MySql();
       $aryAccountTables = $this->getAccountTables();
       $intPlayerId      = $this->getPlayerId($strPlayerName);
       
       $OldMoney     = $this->getPlayerMoney($strPlayerName);
       $NewMoney     = $OldMoney + $dblMoney;
	   
       $sqlstring = $SQL->updateSqlData($aryAccountTables['acc_money'], array('money' => $NewMoney), array(
           'id' => $intPlayerId
       ));
       
       $SQL->getMysqlQuery($sqlstring);
   }

  /**
   * @param string $strPlayerName
   * @param double $dblMoney
   */
   public function subPlayerMoney($strPlayerName,$dblMoney)
   {
       $SQL              = new MySql();
       $aryAccountTables = $this->getAccountTables();
       $intPlayerId      = $this->getPlayerId($strPlayerName);
       
       $OldMoney     = $this->getPlayerMoney($strPlayerName);
       $NewMoney     = $OldMoney - $dblMoney;
	   
       $sqlstring = $SQL->updateSqlData($aryAccountTables['acc_money'], array('money' => $NewMoney), array(
           'id' => $intPlayerId
       ));
       
       $SQL->getMysqlQuery($sqlstring);
   }

   /**
    * @param string $strPlayerName
    * @param double $dblMoney
    */
   public function setPlayerMoney($strPlayerName,$dblMoney)
   {
       $SQL              = new MySql();
       $aryAccountTables = $this->getAccountTables();
       $intPlayerId      = $this->getPlayerId($strPlayerName);
       	   
       $sqlstring = $SQL->updateSqlData($aryAccountTables['acc_money'], array('money' => $dblMoney), array(
           'id' => $intPlayerId
       ));
       
       $SQL->getMysqlQuery($sqlstring);
   }
   
   
   /**
     * get Player Idetifications ID via Player Name 
     * @param string $playerName 
     * @return integer 
     */
    public function getPlayerId( $playerName = false)
    {
        $SQL = new MySql();
        $tplAccounts = $this->getAccountTables();
        
        $playerId = 0;
        
        if(!$playerName){
            $playerName = $this->getLoginName();
        }
        
        
        $strSql = $SQL->selectSqlData($tplAccounts['acc'],false,array(
            'playerName' => $playerName
        )); $result = $SQL->getMysqlQuery($strSql);
        
         while($daten = mysql_fetch_array($result))
        {
            $playerId = $daten['id'];
        }
        
       return $playerId;     
    }
    
    /**
     * Concern the player ID for the player name.
     * @param integer $dataBaseItemId (AID)
     * @param integer $intTable Auctions = 0 | Postbox = 1 | StoreHouse = 2 
     * @return integer (playerId)
     */
    public function getPlayerIdfromItem($dataBaseItemId,$selectTable)
    {
        $SQL = new MySql();
        
            $tplItems  = $this->getItemTables();
            $playerId    = null;
            
        switch($selectTable)
        {
            case self::TABLE_AUCTION:
                $selectTable = $tplItems['it_auctions'];    // Auctions Items 
                break;
            case self::TABLE_POSTBOX:
                $selectTable = $tplItems['it_postbox'];     // PostBox Items
                break;
            case self::TABLE_STOREHOUSE:
                $selectTable = $tplItems['it_storehouse'];  // StoreHouse Items 
                break;     
        }
        
        // Create SQL Statement
        $strSql = $SQL->selectSqlData( $selectTable , false, array(
            
           'id' => $dataBaseItemId 
            
        )); $result = $SQL->getMysqlQuery($strSql);
        
        while($daten = mysql_fetch_array($result))
        {
            $playerId  = $daten['playerId'];
        }
        
      return $playerId;
    }
    
    
   /**
    * Change Player Password 
    * @param string $strPassword  new Password
    * @param string $strPlayerName (optional) Default: login user
    */
   public function changePlayerPassword($strPassword,$strPlayerName = false)
   {
	
       $aryAccountTables = $this->getAccountTables();
       
           if($strPlayerName == false)
           {
               $strPlayerName = $this->getLoginPlayerName();
           }
       
               // Password verschlüsseln
               $strFirstHash  = sha1($strPlayerName.':'.$strPassword);
               $passHash      = sha1($strFirstHash.$this->getPlayerLoginKey($strPlayerName)); 
       
       $SQL = new MySql();
       $strSql = $SQL->updateSqlData($aryAccountTables['acc'], array(
           
           'playerPass' => $passHash
           
       ), array(
           
           'playerName' => $strPlayerName
           
       )); $SQL->getMysqlQuery($strSql);    
	     
   }
   
   
   /**
    * List all AID Ids via User from Table X.
    * @param string $strPlayerName
    * @param integer $selectTable
    * @return array
    */
   public function getPlayerItemList( $strPlayerName , $selectTable )
   {
      $tplItems = $this->getItemTables();
      $SQL = new MySQL(); 
      $aryAidItemListe = array();
      
      $intPlayerId = $this->getPlayerId($strPlayerName);
      
           switch($selectTable)
            {
                case self::TABLE_AUCTION:
                    $selectTable = $tplItems['it_auctions'];    // Auctions Items 
                    break;
                case self::TABLE_POSTBOX:
                    $selectTable = $tplItems['it_postbox'];     // PostBox Items
                    break;
                case self::TABLE_STOREHOUSE:
                    $selectTable = $tplItems['it_storehouse'];  // StoreHouse Items 
                    break;     
            }
      
      
              $strSql = $SQL->selectSqlData($selectTable, false, array(

                  'playerId' => $intPlayerId

              )); $result = $SQL->getMysqlQuery($strSql);
      
      while($daten = mysql_fetch_array($result))
      {
          array_push($aryAidItemListe,$daten['id']); 
      }
     
     return $aryAidItemListe;
   }
   
   
   
   /**
    * get Player Language Id
    * @param string $strPlayerName
    * @return integer
    */
   public function getPlayerLanguageId( $strPlayerName )
   {
        $tblAccounts = $this->getAccountTables();
        $intPlayerId = $this->getPlayerId($strPlayerName);
        $intLanguageId = self::EMPTY_STRING;
        
        $strSql = $this->selectSqlData($tblAccounts['acc_lang'], array('languageId'), array(
           
            'id' => $intPlayerId
            
        )); $accountLanguageResult = $this->getMysqlQuery($strSql);
        
        while($daten = mysql_fetch_array($accountLanguageResult))
        {
            $intLanguageId = $daten['languageId'];
            break;
        }
        
      return $intLanguageId;
    }
    
    /**
     * get player Permission Id
     * @param string $strPlayerName
     * @return integer
     */
    public function getPlayerPermissionId( $strPlayerName )
    {
        $tblAccounts = $this->getAccountTables();
        $intPlayerId = $this->getPlayerId($strPlayerName);
        
        $strSql = $this->selectSqlData($tblAccounts['acc_session'], array('sessionId'), array(
           
            'id' => $intPlayerId
            
        )); $accountPermissionResult = $this->getMysqlQuery($strSql);
        
        while($daten = mysql_fetch_array($accountPermissionResult ))
        {
            $intPermissionId = $daten['sessionId'];
            break;
        }
        
      return  $intPermissionId;   
    }
    
    
    /**
     * has Player Permission (Permission Name)
     * @param string $strPermissionName
     * @param string  $strPlayerName
     * @return boolean
     */
    public function isPlayerPermission( $strPermissionName, $strPlayerName = false)
    {
        $intPlayerPermissionId = $this->getPlayerPermissionId( $strPlayerName );
        
        $permission = new Permission();
        $intPermissionId = $permission->getPermissionId( $strPermissionName );
                
        if($intPermissionId == $intPlayerPermissionId)
                return true;
        
      return false;
    }
    
    
    
    
    
}



?>