<?php

/**
 *  ConfigReader Read Config File from config Directory.
 */
class ConfigReader
{
   private static $aryConfig = array();
    
    public function __construct( $configPath ) {
        
        $this->configReader( $configPath );
    }
    
    public function getConfigArray()
    {
       return (is_array(self::$aryConfig))? self::$aryConfig : null;  
    }
    
    /**
     * Read the Config File and Includet it
     * @param string $configPath  Path to config File
     * @throws string Config File not Founds
     */
    private static function configReader( $configPath )
    {
        if(file_exists($configPath)){  
               require_once $configPath;
             
             if(isset($config) && is_array($config)){
                 self::$aryConfig = $config;
             }
            
        }else{
            throw Exception('Config File not found: '.$configPath);
        }  
    }
    
     
}



?>