<?php

trait DatabaseTables
{
    
    /**
     * get Account Tables 
     * @return array
     */
   public function getAccountTables()
   {
       $aryAcc = array(
           'acc'         => 'ah_accounts',
           'acc_limit'   => 'ah_accounts_limit',
           'acc_lang'    => 'ah_accounts_language',
           'acc_log'     => 'ah_accounts_log',
           'acc_money'   => 'ah_accounts_money',
           'acc_person'  => 'ah_accounts_person',
           'acc_session' => 'ah_accounts_session'
        );
      
     return $aryAcc;
   }
   
   /**
    * get Group Tables 
    * @return array (asso)
    */
   public function getGroupTables()
   {
       $aryGrp = array(
           'grp'         => 'ah_groups',
           'grp_acc'     => 'ah_groups_accounts'
        );
      
      return $aryGrp;
   }
   
   /**
    * get Items Tables 
    * @return array (asso)
    */
   public function getItemTables()
   {
       $aryItem = array(
           'it'            => 'ah_items',
           'it_auctions'   => 'ah_items_auctions',
           'it_icons'      => 'ah_items_icons',
           'it_log'        => 'ah_items_log',
           'it_postbox'    => 'ah_items_postbox',
           'it_storehouse' => 'ah_items_storehouse'
           
       );
       
      return $aryItem; 
   }
   
   
   /**
    * get Language Tables 
    * @return array (asso)
    */
   public function getLangTables()
   {
       $aryLang = array(
           'lang'            => 'ah_language',
           'lang_items'      => 'ah_language_items',
           'lang_list'       => 'ah_language_list',
           'lang_navi'       => 'ah_language_navi',
           'lang_sequence'   => 'ah_language_sequence', 
           'lang_blocklabel' => 'ah_language_blocklabel',
           'lang_blocktype'  => 'ah_language_blocktype',
           'lang_label'      => 'ah_language_label'
       );
       
      return $aryLang; 
   }
   
   /**
    * get Finance Tables 
    * @return array (asso)
    */
   public function getFinanceTables()
   {
       $aryFinance = array(
           'finance'            => 'ah_finance_general',
           'finance_tax'        => 'ah_finance_tax'        
       );
       
      return $aryFinance; 
       
   }
   
   
   /**
    * get Permission Tables
    * @return array
    */
   public function getPermissionTables()
   {
       $aryPermission = array(
           'ah_perm'            => 'ah_session_list'      
       );
       
      return $aryPermission; 
       
   }
    
      
}



?>


