<?php

class ViewerSetup extends Viewer
{
   use AutoLoader; 
   
    private static $objInstance = null;
    private static $aryTemplateDirectorys = array();

    protected function __construct($aryTemplateDirectorys) {
        parent::__construct($aryTemplateDirectorys);
       
    }
    
    public static function setTemplateDirectorys( $aryTemplateDir )
    { 
       if(is_array($aryTemplateDir)){
          self::$aryTemplateDirectorys =  array_merge(self::$aryTemplateDirectorys,$aryTemplateDir);
       } 
    }
    
    public static function getInstance() {
        if (self::$objInstance == null) {
            
            if(count(self::$aryTemplateDirectorys) != null){
                self::$objInstance = new ViewerSetup(self::$aryTemplateDirectorys);
            }else{
                throw Exception('Viewer Warning: No template Directorys set.');
            }
            
        }
        return self::$objInstance;
    }
	
	
   public function homeLayout($content)
   {
      $objNaviModel = $this->loadModel('navigation');
      $objNaviModel->creatMenueIcons(); 
      
      $this->assign('homeheader',$this->getTemplateAsString('homeheader.tpl'));
      $this->assign('content',$this->getTemplateAsString($content));
      $this->display('homelayout.tpl');
   }
    
   public function loginLayout($content)
    {
      $this->assign('content',$this->getTemplateAsString($content));
      $this->display('loginlayout.tpl');
    }

}