<?php

class AjaxAction extends Factory
{
   private static $aryModelListe      = null;
    
    public function __construct() {
        parent::__construct();
        
        self::$aryModelListe      = array();
    }
    
    
    public static function addModel( $strModelName )
    {
       if(is_string($strModelName)){
           array_push(self::$aryModelListe,$strModelName);
       } 
        
       if(is_array($strModelName)){
           self::$aryModelListe = $strModelName;
       }
    }
                
    /**
     * Magic Calls 
     * @param string $strMethodeName
     * @param array $aryArguments
     * @return array
     */
    public function __call($strMethodeName, $aryArguments) 
    {
 
        foreach(self::$aryModelListe as $strModelName)
        {
             $objModel = $this->loadmodel($strModelName);
             if(method_exists($objModel,$strMethodeName)){
                 
                 return call_user_func_array(array($objModel,$strMethodeName), $aryArguments);
             }
        }
    }
    
    public function Show( $strDisplayTemplate )
    {
        $objViewer = ViewerSetup::getInstance();
        $objViewer->display($strDisplayTemplate);
    }
    
    
    public function Assign($strPlaceHolderName , $strPlaceHolderContent)
    {
        $objViewer = ViewerSetup::getInstance();
        $objViewer->assign($strPlaceHolderName,$strPlaceHolderContent);
    }
    
 
}



?>