<?php

class ItemStatistic extends Factory
{
   private static $strDivBoxName = self::EMPTY_STRING;
   protected static $arySaveStatsConfig = array();
   
    public function __construct() {
        parent::__construct();
        
        self::$arySaveStatsConfig = array();
    }
    
    
    public function setDivBoxName( $strDivBoxName )
    {
        if(is_string( $strDivBoxName)){
            self::$strDivBoxName = $strDivBoxName;
        }
    }
    
    public function getDivBoxName()
    {
        return self::$strDivBoxName;
    }
    
    
    public function setStatisticConfig($intShowPercent, $intPixelSize , $intPixelHeight, $strColorCode, $intFontSizePixel)
    {
      self::$arySaveStatsConfig = array(
      
         'fontsize' => $intFontSizePixel,
         'pixelHeight' => $intPixelHeight,
         'color'       => $strColorCode,
         'maxPixelSize' => $intPixelSize,
         'pixelShowPercent' => $intShowPercent
      );
    }
   
    /**
     * HTML CODE
     * @return string
     */
    public function Show()
    {
       if(!empty(self::$arySaveStatsConfig)){
           
           $divBox = '
                <div id="'.self::$strDivBoxName.'" style=" border: solid 1px #000000; width: '.self::$arySaveStatsConfig['maxPixelSize'].'px; height: '.self::$arySaveStatsConfig['pixelHeight'].'px;"> 
                      <div style="border-right: solid 1px #000000; width: '.self::$arySaveStatsConfig['pixelShowPercent'].'%; background-color: #'.self::$arySaveStatsConfig['color'].'; height:100%;font-size: '.self::$arySaveStatsConfig['fontsize'].'px;" align="center"> '.self::$arySaveStatsConfig['pixelShowPercent'].'% </div>
                  </div>
           ';
           
         return $divBox;
       }
    }
    
    
    
    
    
}




?>