<?php

class MenueIcons extends Factory
{
    private static $strItemPath   = null;
    private static $strImageTitle = null;
    private static $strItemName   = null;
    private static $intWidth      = null;
    
    public function __construct() {
        parent::__construct();
        
        self::$strImageTitle = null;
        self::$intWidth = null;
    }
    
    public static function setImageWidth( $intWidth){
        self::$intWidth = $intWidth;
    }
    
    public static function setImageTitle( $strTitle)
    {
        self::$strImageTitle = $strTitle;
    }
    
    public static function loadingImage( $strItemName )
    {
        $objItemInfoModel   =  parent::loadModel('itemInfo');
        self::$strItemName  = $strItemName;
        self::$strItemPath  = $objItemInfoModel->getItemPathViaItemName( $strItemName );  
    }
    
    public static function loadingProfiImage( $strPlayerName )
    {
        self::$strItemName  = $strPlayerName;
        self::$strItemPath = 'http://minotar.net/avatar/'.$strPlayerName.'/100.png';
    }
           
    public function createImage()
    {
       if(self::$strImageTitle == null){
           $this->setImageTitle(self::$strItemName);
       }
       
       if(self::$intWidth == null){
           
           $htmlcode = '<img src="'.self::$strItemPath.'" title="'.self::$strImageTitle.'"></img>';
           
       }else{
           
           $htmlcode = '<img width="'.self::$intWidth.'px" src="'.self::$strItemPath.'" title="'.self::$strImageTitle.'"></img>';
       }
           
      return $htmlcode; 
    }
    
}



?>
