<?php
/** 
 * Auctions House MVC Framework by Mutzii
 * @author Mutzii  <black.mutzi@googlemail.com>
 * @category Framework|Minecraft
 * @version 0.6.2
 * @copyright  Copyright (c) 2012-2013 by Mutzii
 */
 define('AHROOT',__DIR__);
 define('VERSION','0.6.2');
 define('CONFIG_PATH','/config/config.inc.php');
 define('CHECK_PHP_VERSION_ID','50407');

 if(PHP_VERSION_ID >= CHECK_PHP_VERSION_ID){
     
    if( file_exists(CONFIG_PATH)){
        echo '[Info] Config File dont exists.';
        exit(0);
    }
        require_once AHROOT .'/classes/class.autoloader.php';
        require_once AHROOT .'/controllers/controller.php';
            
            if(file_exists('install')){
                
                require_once AHROOT .'/install/setup.php';
                
                $install = new SetupController();
                $install->main();
                
            }else{
        
                Controller::initialized();
              
            }
 }else{
     echo 'Notice: Your PHP Version is to old <br>';
     echo 'Current Version: ' .phpversion(). ' <br>';
 }
 
