<?php

class BuyItems extends Model
{
    public function __construct() {
        parent::__construct();
    }
    
    
    public function ajaxBuyAction()
    {
        $ajaxModel = $this->loadModel('ajax');
        $aryId = $ajaxModel->getCAPTA('id');
        
        if($aryId[0] != null){
            array_push($_SESSION['cart_session'],$aryId[0]);
        }
        
        $strMoveTo = 'postbox';
        
        if(isset($_GET['move'])){
                switch($_GET['move'])
                {
                    case 0:
                         $strMoveTo = 'auctions';
                    break;
                
                    case 1:
                         $strMoveTo = 'postbox';
                    break;

                    case 2:
                         $strMoveTo = 'storehouse';
                    break;
                }
        }      
        // get more Item Infomations
        $selectItem   = $this->loadModel('ItemInfo'); 
        

        $objFactory = Factory::getFactory('message');         
        foreach($_SESSION['cart_session'] as $key => $intApsId)
        {
            if($selectItem->isExistsDatabaseId($intApsId)){
                
               if($selectItem->isExistsAID($intApsId,self::TABLE_POSTBOX) == false && $selectItem->isExistsAID($intApsId,self::TABLE_STOREHOUSE) == false)
               {
                
                       try{
                           
                           $this->itemBuyAction($intApsId,$strMoveTo);

                       }catch(GlobalException $e){

                           if($e->getArray()["error"] == 0){
                               unset($_SESSION['cart_session'][$key]);      
                           }

                           $objFactory->addInformations($e->getArray());
                       }  
                       
               }else{
                   
                   $objTranslateModel = $this->loadModel('translate');
                   $aryItemInfo = $selectItem->getItemInfo($intApsId);
                   $strItemName = $selectItem->getItemName($intApsId);
                   
                   $message = '[Info] Item '.$strItemName;
                   $message.= ' '.$objTranslateModel->getTranslateLabel('LBL_ALREADY_PURCHASED');
                   $objFactory->addInfo($intApsId,$message,'',1);
                   
               }
                       
            }else{
                
                   $objFactory->addInfo($intApsId,'[Info] AID: '.$intApsId.' not Found ','',1);
               
            }            
        }
        
                  $createMessage = $objFactory->Show(); 
                  $this->getAjaxAssign('block_information', 'Buy Informations');
                  $this->getAjaxAssign('message',$createMessage);  
                  
        return true;
    }
    
        
    /**
     * Items Buy
     * @param integer $intDatabaseId
     * @param string $strMoveTo (tablename)
     * @param string $strPlayerName (optinal)
     */
    public function itemBuyAction($intDatabaseId,$strMoveTo = 'postbox',$strPlayerName = false)
    {
        parent::$objAuctionsAPI->itemBuyAction($intDatabaseId,$strMoveTo,$strPlayerName);
    }
     
}
