<?php

class Home extends Model
{    
   private static $viewItems = null; 
   
   const EMPTY_STRING = "";
   const ARGUMENT_DEFAULT_COUNTER = 1;
   
    public function __construct() {
        parent::__construct();      
        self::$viewItems = Factory::getFactory( 'viewItems' );         
    }
       
    /**
     * Magic Calls for viewItems
     * @param string $strMethodeName
     * @param array $aryArguments
     * @return array
     */
    public function __call($strMethodeName, $aryArguments) 
    {
        // call viewItems Methode     
        if(method_exists(self::$viewItems,$strMethodeName))
        {   
            //Debug
            //echo $this->DebugCalls($strMethodeName,$aryArguments);
            
            $viewListe = call_user_func_array(array(self::$viewItems,$strMethodeName), $aryArguments);
            return $viewListe;
        }
          
    }
    
 
      
}