<?php

class Options extends Model
{
     public function __construct() {
         parent::__construct();
     }
     
     const FIRST_ARRAY_ROW = 0;
     
     
     public function ajaxOptions()
     {
          $ss = new Session();
          $objSelect       = $this->loadmodel('selecttable');
          $intTableSelectNumber = $objSelect->getTableNumber( $ss->getSession('profilAction'));
          
          $options = $this->createSelectAction(array(
                           'titlename' => 'Buy Options',
                           'titlelabelname' => 'Buy Options',
                           
                           'secondtitlename' => 'Move Options',
                           'secondlabelname' => 'Move Options',
                           
                           'secondtitleactiv' => array($intTableSelectNumber),
                           
                           'o_select' => false,
                           'o_home' => false,
                           'o_scroll_activ' => false,
                           'o_buy'  => true
                       ));
           
       return $options; 
     }
     
     public function createHomeOptions()
     {
            
         $strTopOptions   = $this->createSelectAction();
         $strDownOptions  = $this->createSelectAction(array(
             'o_scroll' => false
         ));

         $entryOptions = $this->createEntryOptions();
        
         // Spezial Assign...
         $this->getAjaxAssign('home_options_entry',$entryOptions);
         $this->getAjaxAssign('home_options_top',$strTopOptions);
         $this->getAjaxAssign('home_options_down',$strDownOptions);   
     }
     
     
     
     
     /**
      * get Options HTML Code
      * @param array $aryOption
      * @return string
      */
     public function createSelectAction($aryOption = array())
     {
          $ss = new Session();
          $objSelect = $this->loadmodel('selecttable');
          $intTableSelectNumber = $objSelect->getTableNumber( $ss->getSession('profilAction'));
         
          $objSelectAction = Factory::getFactory( 'selectAction' ); 
          
          //Read Options
          $title           = (isset($aryOption['title']))? $aryOption['title'] : true;
          $titleName       = (isset($aryOption['titlename']))? $aryOption['titlename'] : 'Select Action';
          $titleLabelName  = (isset($aryOption['titlelabelname']))? $aryOption['titlelabelname'] : 'Select Action';
          
          $secondTitleActiv = (isset($aryOption['secondtitleactiv']))? $aryOption['secondtitleactiv'] : false;
          $secondTitleName  = (isset($aryOption['secondtitlename']))? $aryOption['secondtitlename'] : false;
          $secondLabelName  = (isset($aryOption['secondlabelname']))? $aryOption['secondlabelname'] : false;
          
          
          
          $titleSelected   = (isset($aryOption['selected']))? $aryOption['selected'] : true;
          
          $o_select        = (isset($aryOption['o_select']))? $aryOption['o_select'] : true;
          $o_scroll        = (isset($aryOption['o_scroll']))? $aryOption['o_scroll'] : true;
          $o_scroll_activ  = (isset($aryOption['o_scroll_activ']))? $aryOption['o_scroll_activ'] : true;
          
          $o_home          = (isset($aryOption['o_home']))? $aryOption['o_home'] : true;
          $o_buy           = (isset($aryOption['o_buy']))? $aryOption['o_buy'] : false;
          

              if(is_array($secondTitleActiv)){
                  
                  if(self::TABLE_POSTBOX == $secondTitleActiv[self::FIRST_ARRAY_ROW] || self::TABLE_STOREHOUSE == $secondTitleActiv[self::FIRST_ARRAY_ROW] ||self::TABLE_AUCTION == $secondTitleActiv[self::FIRST_ARRAY_ROW] ){
                      
                      if($title){
                        if($titleSelected){
                            $objSelectAction->addSelectMasterOption($secondTitleName,$secondLabelName );
                        }else{
                            $objSelectAction->addSelectMasterOption($secondTitleName,$secondLabelName,false);  
                        }
                     }
                  }else{
                      
                      if($title){
                        if($titleSelected){
                             $objSelectAction->addSelectMasterOption($titleName,$titleLabelName);
                        }else{
                             $objSelectAction->addSelectMasterOption($titleName,$titleLabelName,false);  
                        }
                     } 
                      
                  }
                  
              }else{
                  
                  if($title){
                        if($titleSelected){
                             $objSelectAction->addSelectMasterOption($titleName,$titleLabelName);
                        }else{
                             $objSelectAction->addSelectMasterOption($titleName,$titleLabelName,false);  
                        }
                  }  
              }    
        
          
              if($o_select){
                   $objSelectAction->addSelectOptions( 'Select(true);', 'Select all','Select All');
                   $objSelectAction->addSelectOptions( 'Select(false);', 'Deselect All','Deselect All');
              }
                   
                   if($intTableSelectNumber == self::TABLE_INDEX){
                                              
                       if($o_buy)
                       {
                            $objSelectAction->addSelectOptions( 'ItemBuy(1);', 'Move selected Items to Postbox','Move to Postbox');
                            $objSelectAction->addSelectOptions( 'ItemBuy(2);', 'Move selected Items to Storehouse','Move to Storehouse');
                            $objSelectAction->addSelectOptions( 'showGiftBox();', 'Buy all selected Items as Gift','Buy as Gift');
                            $objSelectAction->addSelectOptions( 'ClearCart();', 'Delete Cart Session','Clear Cart');     
                       }
                          
                   }
              
              
                   if($intTableSelectNumber == self::TABLE_AUCTION){
                       
                       if($o_home){
                           
                            $objSelectAction->addSelectOptions( 'ItemBuy(1);', 'Move selected Items to Postbox','Move to Postbox');
                            $objSelectAction->addSelectOptions( 'ItemBuy(2);', 'Move selected Items to Storehouse','Move to Storehouse');
                           
                       }
                       
                       
                       if($o_buy)
                       {
                            $objSelectAction->addSelectOptions( 'ItemBuy(1);', 'Move selected Items to Postbox','Move to Postbox');
                            $objSelectAction->addSelectOptions( 'ItemBuy(2);', 'Move selected Items to Storehouse','Move to Storehouse');
                            $objSelectAction->addSelectOptions( 'ClearCart();', 'Delete Cart Session','Clear Cart');     
                       }
                          
                   }
           
                   if($intTableSelectNumber == self::TABLE_POSTBOX){
                       
                     if($o_home){  
                            $objSelectAction->addSelectOptions( 'showItemSell();', 'Sell all selected Items','Sell Items');
                            $objSelectAction->addSelectOptions( 'move();', 'Move selected Items to Storehouse','Move to Storehouse');
                            $objSelectAction->addSelectOptions( 'RemoveItems();', 'Remove Items','Remove Items');
                            $objSelectAction->addSelectOptions( 'showGiftBox();', 'Give Player X this selected Items ','give Items');
                     }  
                     
                     if($o_buy)
                     {
                            $objSelectAction->addSelectOptions( 'showItemSell();', 'Sell all selected Items','Sell Items');
                            $objSelectAction->addSelectOptions( 'move();', 'Move selected Items to Storehouse','Move to Storehouse');
                            $objSelectAction->addSelectOptions( 'showGiftBox();', 'Give Player X this selected Items ','give Items');
                            $objSelectAction->addSelectOptions( 'RemoveItems();', 'Remove Items','Remove Items');
                            $objSelectAction->addSelectOptions( 'ClearCart();', 'Delete Cart Session','Clear Cart');    
                     }
                     
                       
                   }
                   
                   if($intTableSelectNumber == self::TABLE_STOREHOUSE){
                       
                     if($o_home){ 
                         
                       $objSelectAction->addSelectOptions( 'showItemSell();', 'Sell all selected Items','Sell Items');
                       $objSelectAction->addSelectOptions( 'move();', 'Move selected Items to Postbox','Move to Postbox');
                       $objSelectAction->addSelectOptions('mergeItems();','merge Items','merge Items');
                       $objSelectAction->addSelectOptions( 'showGiftBox();', 'Give Player X this selected Items ','give Items');
                       $objSelectAction->addSelectOptions( 'RemoveItems();', 'Remove Items','Remove Items');
                       
                     } 
                     
                     
                     if($o_buy){
                         
                       $objSelectAction->addSelectOptions( 'showItemSell();', 'Sell all selected Items','Sell Items');
                       $objSelectAction->addSelectOptions( 'move();', 'Move selected Items to Postbox','Move to Postbox');
                       $objSelectAction->addSelectOptions('mergeItems();','merge Items','merge Items');
                       $objSelectAction->addSelectOptions( 'showGiftBox();', 'Give Player X this selected Items ','give Items');
                       $objSelectAction->addSelectOptions( 'RemoveItems();', 'Remove Items','Remove Items');
                       $objSelectAction->addSelectOptions( 'ClearCart();', 'Delete Cart Session','Clear Cart');
                         
                     }
                     
                   }
          
          if($o_scroll_activ)
          {
                  if($o_scroll){
                       // Top
                       $objSelectAction->addSelectOptions( 'goDown()', 'Scroll down','Scroll down');
                  }else{
                       // Down
                       $objSelectAction->addSelectOptions( 'goTop();', 'Scroll top','Scroll top');
                  }       
          }        

          return $objSelectAction->createHtmlOptions();
     }
     
     
     /**
      * @return string
      */
     public function createEntryOptions()
     {
         $objSelectAction = Factory::getFactory( 'selectAction' ); 
         $objSelectAction->addSelectMasterOption('Show Entrys','Show Entrys');
         
         for($createLimits = 0; $createLimits <= 200; $createLimits += 10)
         {
             $objSelectAction->addSelectOptions( 'ShowLimit(0,'.$createLimits.');', 'Show Limit ',$createLimits);
         }
         
        return $objSelectAction->createHtmlOptions();
     }
    
    
}







?>