<?php

class PlayerModel extends Model
{
    public function __construct() {
        parent::__construct();
    }
    
    /**
     * get Player Name
     * @return string
     */
    public function getLoginPlayerName()
    {
        $session = new Session();
        return $session->getSession('playerName');  
    }
        
    /**
     * get Login Player ID
     * @return integer
     */
    public function getPlayerId( $strPlayerName = false )
    {
        $player = new Player(); 
        
        if($strPlayerName == false)
            return $player->getPlayerId ($this->getLoginPlayerName());
        
        if($strPlayerName != false)
            return $player->getPlayerId ($strPlayerName);
    }
    
    
    public function getLanguageId( $strPlayerName = false )
    { 
        $tblAccounts = $this->getAccountTables();
        $intPlayerId = $this->getPlayerId($strPlayerName);
        $intLanguageId = self::EMPTY_STRING;
        
        $strSql = $this->selectSqlData($tblAccounts['acc_lang'], array('languageId'), array(
           
            'id' => $intPlayerId
            
        )); $accountLanguageResult = $this->getMysqlQuery($strSql);
        
        while($daten = mysql_fetch_array($accountLanguageResult))
        {
            $intLanguageId = $daten['languageId'];
            break;
        }
        
      return $intLanguageId;
    }
    
    
    public function getPlayerPermissionId( $strPlayerName = false)
    {
        $tblAccounts = $this->getAccountTables();
        $intPlayerId = $this->getPlayerId($strPlayerName);
        
        $strSql = $this->selectSqlData($tblAccounts['acc_session'], array('sessionId'), array(
           
            'id' => $intPlayerId
            
        )); $accountPermissionResult = $this->getMysqlQuery($strSql);
        
        while($daten = mysql_fetch_array($accountPermissionResult ))
        {
            $intPermissionId = $daten['sessionId'];
            break;
        }
        
      return  $intPermissionId;   
    }
    
    
    
    public function getPermissionId( $strPermissionName )
    {
        $tblPermission = $this->getPermissionTables();
        $strSql = $this->selectSqlData($tblPermission['ah_perm'], array('id'), array(
           
            'authLoginName' => $strPermissionName
            
        )); $accountPermissionResult = $this->getMysqlQuery($strSql);
        
        while($daten = mysql_fetch_array($accountPermissionResult ))
        {
            $intPermissionId = $daten['id'];
            break;
        }
        
      return  $intPermissionId;         
    }
    
    
    public function isPlayerPermission( $strPermissionName, $strPlayerName = false)
    {
        $intPlayerPermissionId = $this->getPlayerPermissionId( $strPlayerName );
        $intPermissionId = $this->getPermissionId( $strPermissionName );
        
        if($intPermissionId == $intPlayerPermissionId)
                return true;
        
      return false;
    }
    
    
}

?>
