<?php

class SelectTable extends Model
{
   protected static $tblItems = array(); 
    
    
    public function __construct() {
        parent::__construct(); 
        self::$tblItems = $this->getItemTables();
    }
    
    
    /**
     * get ItemTable Name 
     * @return type
     */
    public function itemTable()
    {
       return self::$tblItems['it'];
    }
    /**
     * get Item Table Names
     * @param string $intChangeNumber
     */
    public function profilItemTablesviaId($intChangeNumber)
    {
      if(is_numeric($intChangeNumber)){
          
        switch($intChangeNumber)
        {
            case 0:
                 return self::$tblItems['it_auctions'];
            break;
        
            case 1:
                return self::$tblItems['it_postbox'];
            break;
        
            case 2:
                return self::$tblItems['it_storehouse'];
            break;
        }     
      }
    }
    
    /**
     * get Item Table Names 
     * @param string $strTableName
     * @return string
     */
    public function profilItemTablesviaName($strTableName)
    {
      if(is_string($strTableName)){
          
        switch($strTableName)
        {
            case 'auction':
                 return self::$tblItems['it_auctions'];
            break;
        
            case 'postbox':
                return self::$tblItems['it_postbox'];
            break;
        
            case 'storehouse':
                return self::$tblItems['it_storehouse'];
            break;
        }     
      }
    }
    
    /*
     * @param string $strTableName
     * @return integer
     */
    public function getTableNumber( $strTableName )
    {
       if(is_string($strTableName)){
          
        switch($strTableName)
        {
            case 'auction':
                 return self::TABLE_AUCTION;
            break;
        
            case 'postbox':
                return self::TABLE_POSTBOX;
            break;
        
            case 'storehouse':
                return self::TABLE_STOREHOUSE;
            break;
        
            case 'index':
                return self::TABLE_INDEX;
            break;
        }     
      } 
    } 
           
    
    
   
    
    
    
    
}



