<?php

class SellItems extends Model
{
    public function __construct() {
        parent::__construct();
    }
    
    
    public function ajaxSelectSellItems()
    {
        $ajaxModel = $this->loadModel('ajax');
        $aryItemsApsId = $ajaxModel->getCAPTA('ids');
        
        $arySaveFailIdListe = array();
        
        $objFactory = Factory::getFactory('message'); 
       
        foreach($aryItemsApsId as $aid)
        {  
           try{
               
            if(!$this->ajaxSellItems($aid)){
                array_push($arySaveFailIdListe,$aid);
            }
            
           }catch(GlobalException $e){ 
            
                $objFactory->addInformations($e->getArray());
           }
        }
                  $createMessage = $objFactory->Show(); 
                  $this->getAjaxAssign('block_information', 'Sell Informations');
                  $this->getAjaxAssign('message',$createMessage);
        
        
        if(empty($aryItemsApsId)){
            return false;
        }
        
        return (!empty($arySaveFailIdListe))? false : true;
    }
    
    
    public function ajaxSellItems($aid = false)
    {
       
        if(isset($_GET['aid']) || $aid != false){

            if($aid != false){
                $intItemAID = $aid;
            }else{
                $intItemAID = $_GET['aid'];
            }
            
            $selectItem = $this->loadModel('ItemInfo');

            if($selectItem->existsAidbyPlayer( $intItemAID , $this->getLoginPlayer())){
                
                 $objMoveItemModel = $this->loadModel('moveItem');
                 $objMoveItemModel->moveItemToAuctions($intItemAID);

                 $aryItemInfo = $selectItem->getItemInfo($intItemAID);
                 $strItemName = $selectItem->getItemName($intItemAID);
                 
                 $objPlayer = new Player();
                 $intLoginPlayerId = $objPlayer->getPlayerId();
                 self::$objAuctionsAPI->insertLogSellAction($aryItemInfo['itemId'],$aryItemInfo['itemBytes'],$intLoginPlayerId,$intLoginPlayerId,$intItemAID);
                 
                
                 // Select Sell Items All Message 
                 if($aid != false){
                                         
                      $exception = new GlobalException('SellInfo',0,null);
                            $exception->setArray(array(
                                
                                'error' => 0,
                                'info'  => array(
                                           'aid'   =>  $intItemAID,
                                           'mode'  =>  0,
                                           'move'  => 'auction'
                                )
                                                           
                            )); throw $exception;
                         
                }else{
                    $objFactory = Factory::getFactory('message');  
                    $objTranslateModel =  $this->loadModel('translate');
                    
                    $translateMessage = $objTranslateModel->getTransLateLabelinLabel( 'LBL_MOVE_AUCTION', 'LBL_AUCTION');
                    
                    $strMessage = 'Item '.$strItemName;
                    $strMessage.= ' '.$translateMessage;
                    
                    $objFactory->addInfo($intItemAID,$strMessage,'',$intSelectImage = 0);
                    $this->getAjaxAssign('block_information', 'Sell Informations');
                    $this->getAjaxAssign('message',$objFactory->Show());
                }

            
                 return true;                
            }


          }else{
              $this->getAjaxAssign('error',"Move Item Failed.");
              return false;
          }  

     }
     
     public function ajaxDisplaySellBox( $lastItemId = false)
     {
         $selectItem = $this->loadModel('ItemInfo');
         $ss = new Session();
         $aryAidItemListe = null;
         $strPlayerName = $this->getLoginPlayer();
         $options = self::EMPTY_STRING;
  
         switch($ss->getSession('profilAction'))
         {
                        case 'auction':
                              $aryAidItemListe = $selectItem->getItemIdListe( $strPlayerName , 0);
                        break;
                        case 'postbox':
                              $aryAidItemListe = $selectItem->getItemIdListe( $strPlayerName , 1); 
                        break;
                        case 'storehouse':
                              $aryAidItemListe = $selectItem->getItemIdListe( $strPlayerName , 2);
                        break;
                        default:
                              $this->getAjaxAssign('error'," No Session, no Action :) ");
                              $this->getViewer()->display('error.tpl');
                              exit();
                        break;
         }  
      
         foreach($aryAidItemListe as $aid)
         {
            
             
            if($selectItem->isExistsDatabaseId($aid))
            {
                $itemInfo    = $selectItem->getItemInfo($aid);
                $strItemName = $selectItem->getItemName($aid);
                                
                $options .= '
                          <option value="" onClick="showItemSell('.$aid.');" title="AID: '.$aid.' "> '.$strItemName.' x'.$itemInfo['itemStack'].' </option>
                       ';
            }   
         }
         
         // Create Labels
         
         $this->getAjaxAssign('lbl_sell_itemname','Item Name:');
         $this->getAjaxAssign('lbl_sell_itemid','Item ID:');
         $this->getAjaxAssign('lbl_sell_itemstack','Item Stack Size:');
         $this->getAjaxAssign('lbl_sell_itemprice','old Item Price:');
         
         if(isset($_GET['aid']) && !empty($_GET['aid']) || $lastItemId != false)
         {
             
            if(is_numeric($lastItemId)){
                 $intItemAID = $lastItemId;
                 $this->getAjaxAssign('lbl_sell_itemprice','new Item Price:');
            }else{
                 $intItemAID  = $_GET['aid'];
            }

              if($selectItem->existsAidbyPlayer( $intItemAID , $strPlayerName) || $intItemAID == 'undefined'){
            
                     if($intItemAID != 'undefined'){
                       $itemInfo    = $selectItem->getItemInfo( $intItemAID);
                       $strItemName = $selectItem->getItemName( $intItemAID);
                     
                             $this->getAjaxAssign('show_sell_yourname',$this->getLoginPlayer());
                             $this->getAjaxAssign('show_sell_options',$options);
                             $this->getAjaxAssign('show_sell_itemname',$strItemName);
                             $this->getAjaxAssign('show_sell_itemid',$itemInfo['itemId']);
                     }else{
                            $this->emptyAssigns($options);
                     }

                     if(is_numeric($intItemAID)){

                     $moreOptions = '
                                    <option value="" onClick="showItemSell('. $intItemAID.',1);"> Change Item Price </option>
                                    <option onClick="saveSellItems('. $intItemAID.')"> Save </option>
                                    <option onClick="sellItem('.$intItemAID.')">Sell '.$strItemName.'</option>
                     ';

                     }else{
                         $moreOptions = '
                             <option onClick="selectSell();">Selected Items Sell</option>
                          ';
                     }


                        if(isset($_GET['mode']) && !empty($_GET['mode']))
                        {
                             switch($_GET['mode'])
                             {
                                  case 1:
                                      $strItemPrice = '<input tpye="text" name="changeItemPrice" value="'.$itemInfo['itemPrice'].'" style="width:175px;"></input>';
                                      $strItemStack = $itemInfo['itemStack'];
                                  break;
                                  case 2:
                                      $strItemStack = '<input tpye="text" name="changeItemStack" value="'.$itemInfo['itemStack'].'" style="width:175px;"></input>';
                                      $strItemPrice = $itemInfo['itemPrice'];
                                  break;
                                  default:
                                       if($intItemAID != 'undefined'){
                                         $strItemStack = $itemInfo['itemStack'];
                                         $strItemPrice = $itemInfo['itemPrice'];
                                       }
                                  break;

                             }
                        }


                     $this->getAjaxAssign('show_sell_moreoptions',$moreOptions);
                     
                   if($intItemAID != 'undefined'){  
                     $this->getAjaxAssign('show_sell_itemstack',$strItemStack);
                     $this->getAjaxAssign('show_sell_lastitemprice',$strItemPrice);   
                   }else{
                     $this->getAjaxAssign('show_sell_itemstack',"");
                     $this->getAjaxAssign('show_sell_lastitemprice',"");     
                   }  
                }else{
                    $this->getAjaxAssign('error',"Upps.  ");
                    return false;
   
                }
         }else{ 
         
             $this->emptyAssigns($options);
         }
         
  
        return true;
     }
     
     
     /**
     * @param type $options
     */
    private function emptyAssigns($options)
    {
             $this->getAjaxAssign('show_sell_moreoptions',self::EMPTY_STRING);
             $this->getAjaxAssign('show_sell_itemstack',self::EMPTY_STRING);
             $this->getAjaxAssign('show_sell_lastitemprice',self::EMPTY_STRING);
             $this->getAjaxAssign('show_sell_options',$options);
             $this->getAjaxAssign('show_sell_itemname',self::EMPTY_STRING);
             $this->getAjaxAssign('show_sell_itemid',self::EMPTY_STRING);
    }
    
    
}


?>
