<?php

class Translate extends Model
{
    public function __construct() {
        parent::__construct();
    }
    
    
    public function getTranlateLabelinMoreLabels( $strMasterLabelName , $aryLabels)
    { 
        $intLabelCounter = 0;
        
        foreach($aryLabels as $strSecondLabelName)
        {
           if($intLabelCounter == 0){
            $string = $this->getTransLateLabelinLabel( $strMasterLabelName , $strSecondLabelName);
           }else{
            $string = $this->getTransLateLabelinLabel($string, $strSecondLabelName);
           }
        }
        
       return $string; 
    }
    
    
    
    public function getTransLateLabelinLabel( $firstLabelName , $secondLabelName)
    {
        $firstLabelString  = $this->getTranslateLabel($firstLabelName);
        $secondLabelString = $this->getTranslateLabel($secondLabelName);
        
        $newString = str_replace($secondLabelName, $secondLabelString, $firstLabelString);
        return $newString;
    }
    
   
    public function getTranslateLabel( $strLabelName , $strMainType = false, $intBlockId = false)
    {
       $tblLanguages = $this->getLangTables();
       $objPlayerModel = $this->loadModel('playerModel');
       $intPlayerLanguageId = $objPlayerModel->getLanguageId();
       
       //Default
       $whereClause = array(
           
           'visible' => 1,
           'lblName' => $strLabelName
           
       );
       
       if($strMainType != false){
            $whereClause = array_merge($whereClause,array(
                
                'mainType' => $strMainType
                
            ));
       }
       
       if($intBlockId != false){
            $whereClause = array_merge($whereClause,array(
                
                'blockid' => $intBlockId 
                
            ));
       }
       
       $strSql = $this->selectSqlData($tblLanguages['lang_label'], array('contentLang_'.$intPlayerLanguageId),$whereClause);
       $langLabelResult = $this->getMysqlQuery($strSql);
       
       $strContent = self::EMPTY_STRING;
       
       
       while($daten = mysql_fetch_array($langLabelResult))
       {
           $strContent = $daten['contentLang_'.$intPlayerLanguageId];
           break;
       }
       
       return $strContent;      
    }
    
    
    public function getLanguageId( $strLanguageName )
    {
        $tblLanguages = $this->getLangTables();
        $intLanguageId = self::EMPTY_STRING;
        
        $strSql = $this->selectSqlData($tblLanguages['lang_list'], array('id'), array(
            
           'languageName' => $strLanguageName
            
        )); $langListResult = $this->getMysqlQuery($strSql);
        
        while($daten = mysql_fetch_array($langListResult))
        {
            $intLanguageId = $daten['id'];
            break;
        }
        
        
      return $intLanguageId;
    }
    
    
    public function getLanguageName( $strLanguageFlag )
    {
        $tblLanguages = $this->getLangTables();
        $strLanguageName= self::EMPTY_STRING;
        
        $strSql = $this->selectSqlData($tblLanguages['lang_list'], array('languageName'), array(
            
           'langFlag' => $strLanguageFlag
            
        )); $langListResult = $this->getMysqlQuery($strSql);
        
        while($daten = mysql_fetch_array($langListResult))
        {
            $strLanguageName = $daten['languageName'];
            break;
        }
        
        
      return $strLanguageName;
       
    }
   
    
    
    
    
    
    
}


?>