<?php

/**
 *  MVC Install Controller 
 */
class SetupController extends Controller
{
    private static $aryErrorMsg   = array(); 
    private static $fileBuffer    = array();
    private static $newConfigFile = array();
    
    public function __construct() {
        parent::__construct();
    }
    
    public function main() {
        
        session_start();
        
        Controller::initClasses();
        Controller::initViewerSetup();
        Controller::loadingTemplateConfig();
        
        if(isset($_REQUEST['ajax'])){
            
                   SetupController::install($_REQUEST['ajax'],$_REQUEST['mode']);
                   
        }else{
           
                if(!SetupController::initInstallation()){                    
                    $this->ViewerDisplay('/install/install.tpl');    
                }
        }
    }
    
    
    public static function initInstallation()
    {
        if(isset($_POST['install']))
        {
            if(SetupController::checkRequests()){
                
                 $_SESSION = $_REQUEST;
                 SetupController::ViewerDisplay('/install/start.tpl');
                 return true;
            }
        }
        
      return false;
    }
    
    
    public static function install($step,$mode)
    {
        
       $aryDefaultAssignList = array(
           
            'config',
            'database',
            'connect',
            'import',
            'admin',
            'ende'
       );
        
              foreach($aryDefaultAssignList as $switchliste){  

                SetupController::ViewerAssign( 'loader_'.$switchliste,'');
                SetupController::ViewerAssign( 'bold_'.$switchliste.'_on' , '');
                SetupController::ViewerAssign( 'bold_'.$switchliste.'_off' ,'');

              }
              
        $img = '<img height="20" width="20" src="./assets/img/ajax-loader-large.gif"/>';      
              
                
        switch($step)
        {
            case 'config':
                  if($mode == 0){
                      SetupController::ViewerAssign( 'loader_'.$step, $img);
                      SetupController::ViewerAssign( 'bold_'.$step.'_on' , '<b>');
                      SetupController::ViewerAssign( 'bold_'.$step.'_off' ,'</b>');
                      
                      SetupController::ViewerAssign( 'nextstep' ,$step);
                      SetupController::ViewerAssign( 'nextmode' ,1);
                      sleep(2);
                  }
                  
                  if($mode == 1)
                  {
                      SetupController::ViewerAssign( 'loader_'.$step, $img);
                      SetupController::ViewerAssign( 'bold_'.$step.'_on' , '<b>');
                      SetupController::ViewerAssign( 'bold_'.$step.'_off' ,'</b>');
                      
                      
                      SetupController::initCreateConfigFile();
                      
                      SetupController::ViewerAssign( 'nextstep' ,'database');
                      SetupController::ViewerAssign( 'nextmode' ,0);
                      sleep(1);
                      
                  }
            break;
            
            case 'database':
                  if($mode == 0){
                      SetupController::ViewerAssign( 'loader_'.$step, $img);
                      SetupController::ViewerAssign( 'bold_'.$step.'_on' , '<b>');
                      SetupController::ViewerAssign( 'bold_'.$step.'_off' ,'</b>');
                      
                      SetupController::ViewerAssign( 'nextstep' ,$step);
                      SetupController::ViewerAssign( 'nextmode' ,1);
                      sleep(1);
                  }
                  
                  if($mode == 1)
                  {
                      SetupController::ViewerAssign( 'loader_'.$step, $img);
                      SetupController::ViewerAssign( 'bold_'.$step.'_on' , '<b>');
                      SetupController::ViewerAssign( 'bold_'.$step.'_off' ,'</b>');
                      
                      SetupController::ViewerAssign( 'nextstep' ,'connect');
                      SetupController::ViewerAssign( 'nextmode' ,0);
                      sleep(1);
                      
                     ;
                  }
            break; 
            
            case 'connect':
                  if($mode == 0){
                      SetupController::ViewerAssign( 'loader_'.$step, $img);
                      SetupController::ViewerAssign( 'bold_'.$step.'_on' , '<b>');
                      SetupController::ViewerAssign( 'bold_'.$step.'_off' ,'</b>');
                      
                      SetupController::ViewerAssign( 'nextstep' ,$step);
                      SetupController::ViewerAssign( 'nextmode' ,1);
                      sleep(1);
                  }
                  
                  if($mode == 1)
                  {
                      SetupController::ViewerAssign( 'loader_'.$step, $img);
                      SetupController::ViewerAssign( 'bold_'.$step.'_on' , '<b>');
                      SetupController::ViewerAssign( 'bold_'.$step.'_off' ,'</b>');
                      
                      SetupController::ViewerAssign( 'nextstep' ,'import');
                      SetupController::ViewerAssign( 'nextmode' ,0);
                      sleep(1);
                      
                     ;
                  }
            break; 
            
            case 'import':
                  if($mode == 0){
                      SetupController::ViewerAssign( 'loader_'.$step, $img);
                      SetupController::ViewerAssign( 'bold_'.$step.'_on' , '<b>');
                      SetupController::ViewerAssign( 'bold_'.$step.'_off' ,'</b>');
                      
                      SetupController::ViewerAssign( 'nextstep' ,$step);
                      SetupController::ViewerAssign( 'nextmode' ,1);
                      sleep(1);
                  }
                  
                  if($mode == 1)
                  {
                      SetupController::ViewerAssign( 'loader_'.$step, $img);
                      SetupController::ViewerAssign( 'bold_'.$step.'_on' , '<b>');
                      SetupController::ViewerAssign( 'bold_'.$step.'_off' ,'</b>');
                      
                      SetupController::ViewerAssign( 'nextstep' ,'admin');
                      SetupController::ViewerAssign( 'nextmode' ,0);
                      sleep(1);
                      
                     ;
                  }
            break; 
            
            case 'admin':
                  if($mode == 0){
                      SetupController::ViewerAssign( 'loader_'.$step, $img);
                      SetupController::ViewerAssign( 'bold_'.$step.'_on' , '<b>');
                      SetupController::ViewerAssign( 'bold_'.$step.'_off' ,'</b>');
                      
                      SetupController::ViewerAssign( 'nextstep' ,$step);
                      SetupController::ViewerAssign( 'nextmode' ,1);
                      sleep(1);
                  }
                  
                  if($mode == 1)
                  {
                      SetupController::ViewerAssign( 'loader_'.$step, $img);
                      SetupController::ViewerAssign( 'bold_'.$step.'_on' , '<b>');
                      SetupController::ViewerAssign( 'bold_'.$step.'_off' ,'</b>');
                      
                      SetupController::ViewerAssign( 'nextstep' ,'ende');
                      SetupController::ViewerAssign( 'nextmode' ,0);
                      sleep(1);
                      
                     ;
                  }
            break; 
            
            case 'ende':
                  if($mode == 0){
                      SetupController::ViewerAssign( 'loader_'.$step, $img);
                      SetupController::ViewerAssign( 'bold_'.$step.'_on' , '<b>');
                      SetupController::ViewerAssign( 'bold_'.$step.'_off' ,'</b>');
                      
                      SetupController::ViewerAssign( 'nextmode' ,1);
                      SetupController::ViewerAssign( 'nextstep' ,$step);                      
                  }
                  
                  if($mode == 1){
                      SetupController::ViewerAssign( 'loader_'.$step, $img);
                      SetupController::ViewerAssign( 'bold_'.$step.'_on' , '<b>');
                      SetupController::ViewerAssign( 'bold_'.$step.'_off' ,'</b>');
                      
                      rename("./install/", "./remove_install_dir/");
                      session_destroy();
                      
                      SetupController::ViewerAssign( 'nextstep' ,'close'); 
                      SetupController::ViewerAssign( 'nextmode' ,0);
                  }
                  
            break; 
            
            
        }
          
       SetupController::ViewerDisplay('/install/show.tpl');
    }
    
    
    public static function initCreateConfigFile()
    {
        if(file_exists(AHROOT.CONFIG_PATH)){

                $fileHandle = fopen(AHROOT.CONFIG_PATH, 'r');
                
                    while (! feof ($fileHandle)) {
                        $getLine = fgets($fileHandle,1024);
                        array_push(self::$fileBuffer,$getLine);
                    }
                    
                    foreach(self::$fileBuffer as $line)
                    {
                        if(!SetupController::setConfigFile($line)){
                            array_push(self::$newConfigFile,$line);
                        }
                    }
                   fclose ($fileHandle);
                   
                    //Debug Moduse
                    //SetupController::printConfigArray();
                    SetupController::createConfigFile();

                   
         }else{
             echo "File not Found";
         } 
    }
    
    
    public static function createConfigFile()
    {
       file_put_contents (AHROOT.CONFIG_PATH , self::$newConfigFile);  
    }
    
    public static function printConfigArray()
    {
        foreach(self::$newConfigFile as $line)
        {
           echo $line.'<br>';
        } 
    }
    
    public static function setConfigFile($line)
    {
        if(SetupController::createConfigArray( $line ,'/*s#001*/','server'))
             return true;  
        
        if(SetupController::createConfigArray( $line ,'/*s#002*/','port'))
             return true;
        
        if(SetupController::createConfigArray( $line ,'/*s#003*/','name'))
             return true;
        
        if(SetupController::createConfigArray( $line ,'/*s#004*/','password'))
             return true;
        
        if(SetupController::createConfigArray( $line ,'/*s#005*/','database'))
             return true;
        

       return false;
    }
    
    
    public static function createConfigArray( $line ,$search,$request)
    {
        if(substr_compare($line, $search, 0, strlen($search)) == 0){
            
            $strFirst = explode('=', $line);

            if(!empty($_SESSION[$request])){
                $newstring = $strFirst[0]."='$_SESSION[$request]';\n";
            }else{
                
                if(substr_compare($line, 'status', 0, strlen('status')) == 0){
                    $newstring = $strFirst[0].'=false;\n';  
                }else{
                    $newstring = $line;
                }                   
            }
            
                    array_push(self::$newConfigFile,$newstring);
            
            return true;
            
        }else{
           return false;
        }
    }
    
    /**
     * Check Incoming Requests 
     * @return boolean
     */
    public static function checkRequests()
    {
         //Mandatory Fields 
         $requestList = array(
           
             'server',
             'port',
             'name',

             'database',
             'adminname',
             'adminpassword'   
         );
         
         foreach($requestList as $requestName)
         {
             if(empty($_POST[$requestName]) && isset($_POST[$requestName])){
                 SetupController::fillErrorMessages($requestName.' Field is Empty!');   
             }
         }
         
         if(empty(SetupController::$aryErrorMsg))
                return true;
         
      return false;
    }
    
    
    /**
     * Create Error Sting Liste
     * @return string
     */
    public static function createErrorList()
    {
        $errorList = '';
        foreach(SetupController::$aryErrorMsg as $msg)
        {
            $errorList .= $msg;
        }
            
      return $errorList;
    }
    
    /**
     * Fill Error Messages
     * @param string $strErrorMessage
     */
    public static function fillErrorMessages( $strErrorMessage )
    {
          $msg = $strErrorMessage.'<br>';
          array_push(SetupController::$aryErrorMsg,$msg);
    }
    
    /**
     * Viewer Assign
     * @param string $strPlaceHolder
     * @param string $strPlaceHolderContent
     */
    public static function ViewerAssign( $strPlaceHolder , $strPlaceHolderContent)
    {
       $objViewer = Controller::$objViewer;
       $objViewer->assign( $strPlaceHolder , $strPlaceHolderContent);
    }
    
    
    /**
     * Viewer Display
     * @param string $tplName
     */
    public static function ViewerDisplay( $tplName )
    {
        $objViewer = Controller::$objViewer;
        $objViewer->display( $tplName );
    }
    
   
}



?>
