<?php

class CollectItems
{
    private static $items = null;
    
    public function __construct() {
        $objItems = new Items();
        self::$items = $objItems; 
    }
    
    
    /**
     * Collect Items from database
     * @param string $strSql
     */
    public function collectItem( $strSql ){
        
         $mysql = new MySQL();        
         $itemResult = $mysql->getMysqlQuery($strSql);
   
         while($daten = mysql_fetch_array($itemResult)){
             
                    $id           = $daten['id'];
                    $itemId       = $daten['itemId'];
                    $itemStack    = $daten['itemStack'];
                    $itemBytes    = $daten['itemBytes'];
                    $maxStackSize = $daten['maxStackSize'];
                    $itemDamage   = $daten['itemDamage'];
                    
                    $enchName     = $daten['enchName'];
                    $enchLevel    = $daten['enchLevel'];
                        
              self::$items->addItem(
              
                         array(
                              "id_$id" => new ItemDetails(array(
                              
                                   $itemId,
                                   $itemStack,
                                   $itemBytes,
                                   $itemDamage,
                                   $maxStackSize,
                                   new Enchantment($enchName,$enchLevel)
                                
                            ))
                         )
              );      
         }
    }
    
    
    /**
     * get Items 
     * @return object new Items()
     */
    public function getItems(){
        return self::$items;
    }
    
    /**
     * get Item Information
     * @param array $id
     */
    public function getItemDetails( $id ){  
        return self::$items->getItemDetails( $id );
    }
    
}


?>