<?php

trait ApplicationInterfaces
{  
    /**
     * get API Instance from API Namen 
     * @param string $APINAME
     * @return object API
     */
    public function getAPI( $APINAME )
    {
      if(file_exists(AHROOT.'/classes/api/class.'.$APINAME.'.php')){
            require_once AHROOT.'/classes/api/class.'.$APINAME.'.php';
            
          if(class_exists($APINAME)){
              
                return new $APINAME(); // Start API
                
          }else{
              
              throw new Exception('Class API:'.$APINAME.' not found.');
          }
      }else{
          
             throw new Exception('API:'.$APINAME.' not found.');
          
      }
    }  
}



?>
