<?php

trait AutoLoader
{
 
  public static function loadModel($modelName)
  {
     $strModulPath = AHROOT.'/models/'.$modelName.'.model.php';
     
     $issetFile = file_exists($strModulPath) ? require_once($strModulPath) : false;
         
         if(!$issetFile){
             throw  new Exception('ClassName : '.$modelName.' not exists.');
         } 
     
     $objModel = new $modelName();
     return is_object($objModel) ? $objModel:false;
  }
  

}

?>
