<?php

class Enchantment
{
    protected $enchantments = array();
    protected $existEnchantment = false;
    
    public function __construct($enchName,$enchLevel) {
        
      if(strcmp($enchName,"0") != false){   
          
        $aryEnchantmentNames = explode(":::", $enchName);
        $aryEnchantmentLevel = explode(":::",$enchLevel);
        $this->mergeEnchantment($aryEnchantmentNames, $aryEnchantmentLevel);
        
        $this->existEnchantment = true;
        
      }else{
        $this->existEnchantment = false;
      }
      
    }
    
    /**
     * Merge Enchantment Arrays 
     * @param array $aryEnchName
     * @param array $aryEnchLevel
     */
    public function mergeEnchantment($aryEnchName, $aryEnchLevel){
        
        $enchNameSize  = count($aryEnchName);
        $enchLevelSize = count($aryEnchLevel);
        
        if($enchLevelSize == $enchNameSize){
           
           $counter = 0 ;
           foreach($aryEnchName as $enchantmentName){
               
               $this->enchantments[$enchantmentName] = $aryEnchLevel[$counter];
               $counter++;
           }
        }
    }
    
    /**
     * exists Enchantments
     * @return boolean
     */
    public function existsEnchantments(){
        return $this->existEnchantment;
    }
    
    /**
     * get Enchantments
     * @return array
     */
    public function getEnchantments(){
        return $this->enchantments;
    }

}


?>
