<?php

class Items
{
    private static $aryCurrentItem = array();
    
    /**
     * Add new Item 
     * @param array $aryItem
     */
    public function addItem( $aryItem ){
        
        if(is_array($aryItem)){
            self::$aryCurrentItem = array_merge(self::$aryCurrentItem,$aryItem); 
        }
    }
    
    /**
     * Item Counter
     * @return type
     */
    public function getSize(){
        return count(self::$aryCurrentItem);
    }
    
    /**
     *  All Items 
     *  @return array
     */
    public function getItems(){
        return self::$aryCurrentItem;
    }
    
    /**
     * get Item Details 
     * @param integer $currentItemKey
     * @return ItemDetails object | null
     */
    public function getItemDetails( $currentItemKey ){
        
       if(array_key_exists("id_$currentItemKey",self::$aryCurrentItem)){

           return self::$aryCurrentItem["id_$currentItemKey"];
           
       }else{
           return null;
       }
    }
    
    
    
}

?>