<?php

/**
 *  LoginController 
 */
class LoginController extends Controller
{   
    public function __construct()
    {
        parent::__construct();
    }
        
    /**
     *  Loading Default Login Page ..
     */
    public function main()
    {
        $objLoginModel = $this->loadModel('login');
        $strLoginError = $objLoginModel->PlayerLogin();
        
        if(is_string($strLoginError) ||$strLoginError == false){
            
            if(is_bool($strLoginError)){ 
                
                $strLoginError = self::NOTHING;
                $strLoginMode  = self::NOTHING;
                }else{
                    $strLoginMode  = 'Error:';
                }
            
                $this->getViewer()->assign('login_mode',$strLoginMode);
                $this->getViewer()->assign('login_error',$strLoginError);
                $this->getViewer()->loginLayout('module/login/index.tpl');
            
        }else{
            $this->getViewer()->display('module/login/firstlogin.tpl');
        }   
    }
    
    /**
     *  Player Logout 
     */
    public static function logout()
    {
        parent::LogOut();
        parent::getViewer()->display('module/login/logout.tpl');
    }
          
}
?>
