<?php

/**
 *  Login Model 
 */
class Login extends Model
{
    
   protected static $tplAccounts = self::nothing; 
   protected static $tplPerson   = self::nothing;
   
    public function __construct() {
        parent::__construct(); 
        
        // get Database Account Tables 
        $aryAcc = $this->getAccountTables();
        self::$tplAccounts = $aryAcc['acc'];  
        self::$tplPerson   = $aryAcc['acc_person'];
    }
    
    /**
     * Minecraft Player Log in
     * @return string Login Error
     */
    public function PlayerLogin()
    {
       return $this->LoginFormular();  
    }
    
    /**
     * Check Login Request ||
     * True: login ||
     * False: not login ||
     * String: Error Message
     * @return string|boolean LoginError
     */
    private function LoginFormular()
    {
        if(isset($_POST['login'])){
            
            if(isset($_POST['user']) && isset($_POST['pass']))
            {         
                 // with as UserName ' OR 1=1 (Bug) kommt ein SQL Syntax Error
                 // ToDo: UserName Filter muss her...
               $strLoginMessage = $this->playerIdentification($_POST['user'],$_POST['pass']); 
               return is_null($strLoginMessage)? true : $strLoginMessage;
               
            }else{
                return false;
            }
            
        }
     
      return false;
    }
    
    
    /**
     * Player Identification: Log in Player or Not.
     * And Password Codierung
     * @param string $strUserName
     * @param string $strUserPassword
     * @return string|null
     */
     private function playerIdentification($strUserName,$strUserPassword)
     {
          // get Mysql
          $SQL = $this->getMySql(); 
         
          if(!empty($strUserName)){
             // Search Database with UserName
              $strSql = $SQL->selectSqlData(self::$tplAccounts,false,array(
                "playerName" => $strUserName
               )); 
              
              
            try{         
              $result = $SQL->getMysqlQuery($strSql);
                  if($result != null){

                         while($daten = mysql_fetch_array($result)) {
                             $dbPassword = $daten['playerPass'];  //User Password
                             $dbKey      = $daten['playerKey'];   //Access Key
                             $dbPlayerID = $daten['id'];
                             
                             
                                 $strSql = $SQL->selectSqlData(self::$tplPerson,false,array(
                                    "id" => $dbPlayerID
                                 ));$personResult = $SQL->getMysqlQuery($strSql);
                                 $isAccountActiv  = 0;
                                           
                                                while($person = mysql_fetch_array($personResult)){
                                                     $isAccountActiv = $person['accountActiv'];
                                                     break;
                                                }
                                      if(!empty($strUserPassword)){
                                          
                                         if($isAccountActiv == self::one){

                                                 // Create Password Hash
                                                 $strFirstHash  = sha1($strUserName.':'.$strUserPassword);
                                                 $passHash      = sha1($strFirstHash.$dbKey); 

                                                    //Login Player
                                                    if(strcmp($dbPassword,$passHash) == false){

                                                        $session = new Session();
                                                        $session->createSession('player', true); // true: login
                                                        $session->createSession('playerName', $strUserName);

                                                        return null;
                                                    }else{
                                                        // Bad Password
                                                        return self::$BADPASS;
                                                    }
                                        
                                             }else{
                                                 return self::$DISABLE;
                                             }
                                          }else{
                                               return self::$PASSFORGOT;
                                          }
                               break;
                            }
                            
                            return self::$BADUSER; 
                 
                      }else{

                          return self::$BADUSER;  
                      }

                  }catch(Exception $e){
                      return self::$BADUSER;
                  }
          
        }else{
             return self::$BADUSER;
        }
          
     }
}


?>
