<?php

class RemoveItems extends Model
{
    public function __construct() {
        parent::__construct();
    }
    
    public function removeItems($aryMoreAids)
    {
       $objFactory = Factory::getFactory('message'); 
        
       foreach($aryMoreAids as $aid)
       {
           try{
               
                $this->removeItem($aid);
               
          }catch(GlobalException $e){
              
                $objFactory->addInformations($e->getArray());
          }
       }
       
       $createMessage = $objFactory->Show(); 
       $this->getAjaxAssign('block_information', 'Remove Informations');
       $this->getAjaxAssign('message',$createMessage);  
       
    }
    
    
    public function removeItem($intAid)
    {
        $objItemInfo = $this->loadModel('itemInfo');
        
        if($objItemInfo->existsAidbyPlayer( $intAid , $this->getLoginPlayer())){
            
             $objItemInfoModel    = $this->loadModel('itemInfo');
             $strItemName         = $objItemInfoModel->getItemName($intAid);
            
             $tblItems = $this->getItemTables();
             $strSql = $this->deleteSqlData($tblItems['it'], array(
                
                 'id' => $intAid,

             )); $this->getMysqlQuery($strSql);    
             
            //Success:
            $exception = new GlobalException('RemoveInfo',0,null);
            $exception->setArray(array(

                'error' => 0,
                'info'  => array(
                           'aid'   =>  $intAid,
                           'mode'  =>  2,
                           'itemname' => $strItemName
                )

            )); throw $exception;
             
             
        }else{
            //Fail:
            $exception = new GlobalException('RemoveInfo',0,null);
            $exception->setArray(array(

                'error' => 2,
                'info'  => array(
                           'aid'   =>  $intAid,
                           'mode'  =>  2
                )

            )); throw $exception;
            
        }  
    }
    
    
    public function ajaxRemoveItem()
    {
        $objAjaxModel = $this->loadModel('ajax');                  
        $this->removeItems($objAjaxModel->getCAPTA('ids'));
        return true;
        
    }
    
    
    
}
