-- phpMyAdmin SQL Dump
-- version 3.5.2.2
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Erstellungszeit: 08. Jan 2013 um 21:10
-- Server Version: 5.5.27
-- PHP-Version: 5.4.7

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Datenbank: `_mcb`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_accounts`
--

CREATE TABLE IF NOT EXISTS `ah_accounts` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Spieler ID',
  `playerName` varchar(50) NOT NULL COMMENT 'Spieler Name',
  `playerPass` varchar(256) NOT NULL COMMENT 'Spieler Passwort',
  `playerKey` varchar(256) NOT NULL COMMENT 'Authenfications Key zum Einloggen',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

--
-- Daten für Tabelle `ah_accounts`
--

INSERT INTO `ah_accounts` (`id`, `playerName`, `playerPass`, `playerKey`) VALUES
(1, 'root', '261492f4c177b248537f16f5d242f2e952407e3e', 'da4806b0a3e3d332009a38ece49ec65b78c1ab63');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_accounts_language`
--

CREATE TABLE IF NOT EXISTS `ah_accounts_language` (
  `id` int(11) unsigned NOT NULL COMMENT 'Player ID',
  `languageId` int(11) NOT NULL DEFAULT '1' COMMENT 'Sprach IdNr. : DE or EN',
  KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `ah_accounts_language`
--

INSERT INTO `ah_accounts_language` (`id`, `languageId`) VALUES
(1, 2);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_accounts_limit`
--

CREATE TABLE IF NOT EXISTS `ah_accounts_limit` (
  `id` int(11) unsigned NOT NULL COMMENT 'Player ID',
  `auctionsLimit` int(11) NOT NULL,
  `buyLimit` int(11) NOT NULL COMMENT 'Kauf Limit pro Tag',
  `sellLimit` int(11) NOT NULL COMMENT 'Verkauf Limit pro Tag',
  KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `ah_accounts_limit`
--

INSERT INTO `ah_accounts_limit` (`id`, `auctionsLimit`, `buyLimit`, `sellLimit`) VALUES
(1, 20, 10, 10);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_accounts_log`
--

CREATE TABLE IF NOT EXISTS `ah_accounts_log` (
  `id` int(11) unsigned NOT NULL COMMENT 'Spieler Id',
  `firstLogin` int(20) NOT NULL COMMENT 'first Login Time',
  `lastLogin` int(20) NOT NULL COMMENT 'last Login Time',
  KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_accounts_money`
--

CREATE TABLE IF NOT EXISTS `ah_accounts_money` (
  `id` int(11) unsigned NOT NULL COMMENT 'Spieler ID',
  `money` double NOT NULL COMMENT 'Spieler Money',
  KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `ah_accounts_money`
--

INSERT INTO `ah_accounts_money` (`id`, `money`) VALUES
(1, 1200);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_accounts_person`
--

CREATE TABLE IF NOT EXISTS `ah_accounts_person` (
  `id` int(11) unsigned NOT NULL COMMENT 'Spieler ID',
  `accountActiv` int(11) NOT NULL COMMENT 'Player Account Enable / Disable ',
  `email` varchar(100) NOT NULL COMMENT 'Email Addresse vom Spieler',
  `styleNumber` int(11) NOT NULL,
  `securityAnswer` varchar(100) NOT NULL COMMENT 'Sicherheits Antwort : Pw forget',
  KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `ah_accounts_person`
--

INSERT INTO `ah_accounts_person` (`id`, `accountActiv`, `email`, `styleNumber`, `securityAnswer`) VALUES
(1, 1, 'admin@webmaster.de', 0, '');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_accounts_session`
--

CREATE TABLE IF NOT EXISTS `ah_accounts_session` (
  `id` int(11) unsigned NOT NULL COMMENT 'Spieler ID',
  `sessionId` int(11) unsigned NOT NULL COMMENT 'Authentifikation Login ID',
  KEY `id` (`id`),
  KEY `sessionId` (`sessionId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `ah_accounts_session`
--

INSERT INTO `ah_accounts_session` (`id`, `sessionId`) VALUES
(1, 1);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_finance_general`
--

CREATE TABLE IF NOT EXISTS `ah_finance_general` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Manager ID',
  `taxActiv` int(11) NOT NULL COMMENT 'Aktiviert / Deaktiviert ',
  `taxAuctionActiv` int(11) NOT NULL COMMENT 'tax A Aktiviert / Deaktiviert',
  `taxPostBoxActiv` int(11) NOT NULL COMMENT 'tax PB Aktiviert / Deaktiviert',
  `taxStoreHouseActiv` int(11) NOT NULL COMMENT 'tax SH Aktiviert / Deaktiviert',
  `modelName` varchar(200) NOT NULL COMMENT 'Vorlage Namen',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Daten für Tabelle `ah_finance_general`
--

INSERT INTO `ah_finance_general` (`id`, `taxActiv`, `taxAuctionActiv`, `taxPostBoxActiv`, `taxStoreHouseActiv`, `modelName`) VALUES
(1, 0, 1, 1, 1, 'Over all Tax Activ'),
(2, 0, 1, 0, 0, 'only Auction Tax Activ'),
(3, 0, 0, 1, 0, 'only PostBox Tax Activ '),
(4, 0, 0, 0, 1, 'only StoreHouse Activ'),
(5, 0, 0, 0, 0, 'all Tax Disabled');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_finance_tax`
--

CREATE TABLE IF NOT EXISTS `ah_finance_tax` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Steuer ID',
  `taxSelect` int(11) NOT NULL COMMENT 'use Steuer 1 = true',
  `taxName` varchar(200) NOT NULL COMMENT 'Steuer Name',
  `taxPercent` int(11) NOT NULL COMMENT 'Steuer in Prozent',
  `taxComment` varchar(200) NOT NULL COMMENT 'Steuer Kommentar',
  `taxOwner` int(11) NOT NULL COMMENT 'Ersteller z.b Admin',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Daten für Tabelle `ah_finance_tax`
--

INSERT INTO `ah_finance_tax` (`id`, `taxSelect`, `taxName`, `taxPercent`, `taxComment`, `taxOwner`) VALUES
(1, 0, 'Church Tax', 5, 'Kirchensteuer', 1),
(2, 0, 'Minecraft Tax', 13, 'Default Minecraft Tax', 1);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_groups`
--

CREATE TABLE IF NOT EXISTS `ah_groups` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Gruppen ID',
  `name` int(11) NOT NULL COMMENT 'Gruppen Name',
  `chmod` int(11) NOT NULL COMMENT 'Gruppen Rechte',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_groups_accounts`
--

CREATE TABLE IF NOT EXISTS `ah_groups_accounts` (
  `groupId` int(11) NOT NULL COMMENT 'Gruppen ID',
  `playerId` int(11) NOT NULL COMMENT 'Player ID'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_items`
--

CREATE TABLE IF NOT EXISTS `ah_items` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'auctions | storehouse | post box ID',
  `itemId` int(11) NOT NULL COMMENT 'Minecraft ITEM ID',
  `itemStack` int(11) NOT NULL COMMENT 'Item Stack Size ',
  `itemPrice` double NOT NULL COMMENT 'Item Auctions Price ',
  `itemBytes` int(11) NOT NULL COMMENT 'Item Bytes : 35:0 White Wool Example',
  `maxStackSize` int(11) NOT NULL,
  `enchName` varchar(200) DEFAULT NULL COMMENT 'Verzauberungs Namen',
  `enchLevel` varchar(200) DEFAULT NULL COMMENT 'Verzauberungs Item Level',
  `itemDamage` int(11) DEFAULT NULL COMMENT 'Item Damage / binary Integer / verbraucht Items ',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=161 ;

--
-- Daten für Tabelle `ah_items`
--

INSERT INTO `ah_items` (`id`, `itemId`, `itemStack`, `itemPrice`, `itemBytes`, `maxStackSize`, `enchName`, `enchLevel`, `itemDamage`) VALUES
(134, 260, 1, 0, 0, 64, '0', '0', 0),
(135, 354, 1, 0, 0, 1, '0', '0', 0),
(136, 282, 1, 0, 0, 1, '0', '0', 0),
(137, 297, 1, 0, 0, 64, '0', '0', 0),
(138, 319, 1, 0, 0, 64, '0', '0', 0),
(139, 320, 1, 0, 0, 64, '0', '0', 0),
(140, 322, 1, 0, 0, 64, '0', '0', 0),
(141, 349, 1, 0, 0, 64, '0', '0', 0),
(142, 366, 1, 0, 0, 64, '0', '0', 0),
(143, 256, 1, 0, 0, 1, '0', '0', 0),
(144, 277, 1, 0, 0, 1, '0', '0', 0),
(145, 269, 1, 0, 0, 1, '0', '0', 0),
(146, 284, 1, 0, 0, 1, '0', '0', 0),
(147, 285, 1, 0, 0, 1, '0', '0', 0),
(148, 285, 1, 0, 0, 1, '0', '0', 0),
(149, 286, 1, 0, 0, 1, '0', '0', 0),
(150, 286, 1, 0, 0, 1, '0', '0', 0),
(151, 284, 1, 0, 0, 1, '0', '0', 0),
(152, 292, 1, 0, 0, 1, '0', '0', 0),
(153, 294, 1, 0, 0, 1, '0', '0', 0),
(160, 284, 1, 200, 0, 1, 'DIG_SPEED', '2', 0);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_items_auctions`
--

CREATE TABLE IF NOT EXISTS `ah_items_auctions` (
  `id` int(11) unsigned NOT NULL COMMENT 'Database Item Id',
  `playerId` int(11) unsigned NOT NULL COMMENT 'Spieler ID',
  KEY `id` (`id`),
  KEY `playerId` (`playerId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_items_icons`
--

CREATE TABLE IF NOT EXISTS `ah_items_icons` (
  `itemId` int(11) NOT NULL COMMENT 'Item ID',
  `itemBytes` int(11) NOT NULL DEFAULT '0' COMMENT 'Item Bytes',
  `itemDamage` int(11) NOT NULL DEFAULT '0' COMMENT 'Item Bytes Second',
  `itemLanguageId` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'Language Item ID',
  `itemPath` varchar(300) NOT NULL COMMENT 'Item Path (extern)',
  KEY `itemLanguageId` (`itemLanguageId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `ah_items_icons`
--

INSERT INTO `ah_items_icons` (`itemId`, `itemBytes`, `itemDamage`, `itemLanguageId`, `itemPath`) VALUES
(1, 0, 0, 1, 'http://www.minecraftwiki.net/images/a/a6/Grid_Stone.png'),
(2, 0, 0, 2, 'http://www.minecraftwiki.net/images/6/6f/Grid_Grass.png'),
(3, 0, 0, 3, 'http://www.minecraftwiki.net/images/b/bd/Grid_Dirt.png'),
(4, 0, 0, 4, 'http://www.minecraftwiki.net/images/0/03/Grid_Cobblestone.png'),
(5, 0, 0, 5, 'http://www.minecraftwiki.net/images/9/9f/Grid_Wooden_Plank.png'),
(6, 0, 0, 6, 'http://www.minecraftwiki.net/images/b/b5/Grid_Sapling.png'),
(6, 1, 0, 7, 'http://www.minecraftwiki.net/images/c/c6/Grid_Sapling_Spruce.png'),
(6, 2, 0, 8, 'http://www.minecraftwiki.net/images/b/b4/Grid_Sapling_Birch.png'),
(7, 0, 0, 9, 'http://www.minecraftwiki.net/images/e/e0/Grid_Bedrock.png'),
(8, 0, 0, 10, 'http://www.minecraftwiki.net/images/1/13/Grid_Water.png'),
(9, 0, 0, 11, 'http://www.minecraftwiki.net/images/1/13/Grid_Water.png'),
(10, 0, 0, 12, 'http://www.minecraftwiki.net/images/6/61/Grid_Lava.png'),
(11, 0, 0, 13, 'http://www.minecraftwiki.net/images/6/61/Grid_Lava.png'),
(12, 0, 0, 14, 'http://www.minecraftwiki.net/images/b/bb/Grid_Sand.png'),
(13, 0, 0, 15, 'http://www.minecraftwiki.net/images/0/03/Grid_Gravel.png'),
(14, 0, 0, 16, 'http://www.minecraftwiki.net/images/5/5c/Grid_Gold_%28Ore%29.png'),
(15, 0, 0, 17, 'http://www.minecraftwiki.net/images/7/74/Grid_Iron_%28Ore%29.png'),
(16, 0, 0, 18, 'http://www.minecraftwiki.net/images/8/8c/Grid_Coal_%28Ore%29.png'),
(17, 0, 0, 19, 'http://www.minecraftwiki.net/images/b/bf/Grid_Wood.png'),
(17, 1, 0, 20, 'http://www.minecraftwiki.net/images/d/db/Grid_Wood_%28Pine%29.png'),
(17, 2, 0, 21, 'http://www.minecraftwiki.net/images/8/81/Grid_Wood_%28Birch%29.png'),
(18, 4, 0, 22, 'http://www.minecraftwiki.net/images/3/30/Grid_Leaves.png'),
(18, 5, 0, 23, 'http://www.minecraftwiki.net/images/0/08/Grid_Leaves_%28Pine%29.png'),
(18, 6, 0, 24, 'http://www.minecraftwiki.net/images/0/0a/Grid_Leaves_%28Birch%29.png'),
(19, 0, 0, 25, 'http://www.minecraftwiki.net/images/5/56/Grid_Sponge.png'),
(20, 0, 0, 26, 'http://www.minecraftwiki.net/images/0/00/Grid_Glass.png'),
(21, 0, 0, 27, 'http://www.minecraftwiki.net/images/d/d2/Grid_Lapis_Lazuli_%28Ore%29.png'),
(22, 0, 0, 28, 'http://www.minecraftwiki.net/images/5/58/Grid_Lapis_Lazuli_%28Block%29.png'),
(23, 0, 0, 29, 'http://www.minecraftwiki.net/images/c/cc/Grid_Dispenser.png'),
(24, 0, 0, 30, 'http://www.minecraftwiki.net/images/1/12/Grid_Sandstone.png'),
(25, 0, 0, 31, 'http://www.minecraftwiki.net/images/1/1d/Grid_Note_Block.png'),
(26, 0, 0, 32, 'http://media-mcw.cursecdn.com/a/a3/Grid_Bed.png'),
(27, 0, 0, 33, 'http://www.minecraftwiki.net/images/9/9d/Grid_Powered_Rail.png'),
(28, 0, 0, 34, 'http://www.minecraftwiki.net/images/a/a2/Grid_Detector_Rail.png'),
(29, 7, 0, 35, 'http://media-mcw.cursecdn.com/3/32/Grid_Sticky_Piston.png'),
(30, 0, 0, 36, 'http://www.minecraftwiki.net/images/3/36/Grid_Cobweb.png'),
(31, 0, 0, 37, 'http://www.minecraftwiki.net/images/5/5f/Grid_Tall_Grass1.png'),
(31, 1, 0, 38, 'http://www.minecraftwiki.net/images/c/c1/Grid_Tall_Grass2.png'),
(31, 2, 0, 39, '0'),
(32, 0, 0, 40, 'http://www.minecraftwiki.net/images/5/5f/Grid_Tall_Grass1.png'),
(33, 7, 0, 41, 'http://media-mcw.cursecdn.com/3/3c/Grid_Piston.png'),
(34, 0, 0, 42, '0'),
(35, 0, 0, 43, 'http://www.minecraftwiki.net/images/f/fa/Grid_White_Wool.png'),
(35, 1, 0, 44, 'http://www.minecraftwiki.net/images/0/07/Grid_Orange_Wool.png'),
(35, 2, 0, 45, 'http://www.minecraftwiki.net/images/f/fd/Grid_Magenta_Wool.png'),
(35, 3, 0, 46, 'http://www.minecraftwiki.net/images/f/fb/Grid_Light_Blue_Wool.png'),
(35, 4, 0, 47, 'http://www.minecraftwiki.net/images/e/ed/Grid_Yellow_Wool.png'),
(35, 5, 0, 48, 'http://www.minecraftwiki.net/images/a/a2/Grid_Lime_Wool.png'),
(35, 6, 0, 49, 'http://www.minecraftwiki.net/images/b/b3/Grid_Pink_Wool.png'),
(35, 7, 0, 50, 'http://www.minecraftwiki.net/images/d/d3/Grid_Gray_Wool.png'),
(35, 8, 0, 51, 'http://www.minecraftwiki.net/images/e/e5/Grid_Light_Gray_Wool.png'),
(35, 9, 0, 52, 'http://www.minecraftwiki.net/images/c/cd/Grid_Cyan_Wool.png'),
(35, 10, 0, 53, 'http://www.minecraftwiki.net/images/5/51/Grid_Purple_Wool.png'),
(35, 11, 0, 54, 'http://www.minecraftwiki.net/images/4/40/Grid_Blue_Wool.png'),
(35, 12, 0, 55, 'http://www.minecraftwiki.net/images/2/2a/Grid_Brown_Wool.png'),
(35, 13, 0, 56, 'http://www.minecraftwiki.net/images/f/fa/Grid_Green_Wool.png'),
(35, 14, 0, 57, 'http://www.minecraftwiki.net/images/2/2a/Grid_Red_Wool.png'),
(35, 15, 0, 58, 'http://www.minecraftwiki.net/images/4/45/Grid_Black_Wool.png'),
(37, 0, 0, 59, 'http://www.minecraftwiki.net/images/4/49/Grid_Dandelion.png'),
(38, 0, 0, 60, 'http://www.minecraftwiki.net/images/4/49/Grid_Rose.png'),
(39, 0, 0, 61, 'http://www.minecraftwiki.net/images/d/d8/Grid_Brown_Mushroom.png'),
(40, 0, 0, 62, 'http://www.minecraftwiki.net/images/0/01/Grid_Red_Mushroom.png'),
(41, 0, 0, 63, 'http://www.minecraftwiki.net/images/b/b6/Grid_Gold_%28Block%29.png'),
(42, 0, 0, 64, 'http://www.minecraftwiki.net/images/5/5a/Grid_Iron_%28Block%29.png'),
(43, 0, 0, 65, '0'),
(43, 1, 0, 66, '0'),
(43, 2, 0, 67, '0'),
(43, 3, 0, 68, '0'),
(44, 0, 0, 69, 'http://www.minecraftwiki.net/images/2/29/Grid_Stone_Slab.png'),
(44, 1, 0, 70, 'http://www.minecraftwiki.net/images/2/2a/Grid_Sandstone_Slab.png'),
(44, 2, 0, 71, 'http://www.minecraftwiki.net/images/4/4e/Grid_Wooden_Slab.png'),
(44, 3, 0, 72, 'http://www.minecraftwiki.net/images/f/f7/Grid_Cobblestone_Slab.png'),
(45, 0, 0, 73, 'http://www.minecraftwiki.net/images/6/64/Grid_Brick_%28Block%29.png'),
(46, 0, 0, 74, 'http://www.minecraftwiki.net/images/2/2b/Grid_TNT.png'),
(47, 0, 0, 75, 'http://www.minecraftwiki.net/images/b/bc/Grid_Bookshelf.png'),
(48, 0, 0, 76, 'http://www.minecraftwiki.net/images/7/7d/Grid_Moss_Stone.png'),
(49, 0, 0, 77, 'http://www.minecraftwiki.net/images/5/5d/Grid_Obsidian.png'),
(50, 0, 0, 78, 'http://www.minecraftwiki.net/images/3/32/Grid_Torch.png'),
(51, 0, 0, 79, '0'),
(52, 0, 0, 80, 'http://www.minecraftwiki.net/images/3/3b/Grid_Monster_Spawner.png'),
(53, 0, 0, 81, 'http://www.minecraftwiki.net/images/3/3b/Grid_Wooden_Stairs.png'),
(54, 0, 0, 82, 'http://www.minecraftwiki.net/images/c/c1/Grid_Chest.png'),
(55, 0, 0, 83, 'http://www.minecraftwiki.net/images/c/c3/Grid_Redstone_%28Dust%29.png'),
(56, 0, 0, 84, 'http://www.minecraftwiki.net/images/e/ef/Grid_Diamond_%28Ore%29.png'),
(57, 0, 0, 85, 'http://www.minecraftwiki.net/images/7/73/Grid_Diamond_%28Block%29.png'),
(58, 0, 0, 86, 'http://www.minecraftwiki.net/images/7/79/Grid_Crafting_Table.png'),
(59, 0, 0, 87, 'http://www.minecraftwiki.net/images/6/68/Grid_Seeds.png'),
(60, 0, 0, 88, 'http://www.minecraftwiki.net/images/6/6a/Grid_Farmland.png'),
(61, 0, 0, 89, 'http://www.minecraftwiki.net/images/2/2e/Grid_Furnace.png'),
(62, 0, 0, 90, 'http://www.minecraftwiki.net/images/2/2e/Grid_Furnace.png'),
(63, 0, 0, 91, 'http://www.minecraftwiki.net/images/0/06/Grid_Sign.png'),
(64, 0, 0, 92, 'http://www.minecraftwiki.net/images/c/cd/Grid_Wooden_Door.png'),
(65, 0, 0, 93, 'http://www.minecraftwiki.net/images/9/99/Grid_Ladders.png'),
(66, 0, 0, 94, 'http://www.minecraftwiki.net/images/7/7a/Grid_Rails.png'),
(67, 0, 0, 95, 'http://www.minecraftwiki.net/images/7/7f/Grid_Cobblestone_Stairs.png'),
(68, 0, 0, 96, 'http://www.minecraftwiki.net/images/0/06/Grid_Sign.png'),
(69, 0, 0, 97, 'http://www.minecraftwiki.net/images/3/33/Grid_Lever.png'),
(70, 0, 0, 98, 'http://www.minecraftwiki.net/images/4/46/Grid_Stone_Pressure_Plate.png'),
(71, 0, 0, 99, 'http://www.minecraftwiki.net/images/2/27/Grid_Iron_Door.png'),
(72, 0, 0, 100, 'http://www.minecraftwiki.net/images/d/d4/Grid_Wooden_Pressure_Plate.png'),
(73, 0, 0, 101, 'http://www.minecraftwiki.net/images/b/b8/Grid_Redstone_%28Ore%29.png'),
(74, 0, 0, 102, 'http://www.minecraftwiki.net/images/b/b8/Grid_Redstone_%28Ore%29.png'),
(75, 0, 0, 103, 'http://www.minecraftwiki.net/images/6/66/Grid_Redstone_%28Torch%29.png'),
(76, 0, 0, 104, 'http://www.minecraftwiki.net/images/6/66/Grid_Redstone_%28Torch%29.png'),
(77, 0, 0, 105, 'http://www.minecraftwiki.net/images/8/81/Grid_Stone_Button.png'),
(78, 0, 0, 106, 'http://www.minecraftwiki.net/images/6/66/Grid_Snow_%28Block%29.png'),
(79, 0, 0, 107, 'http://www.minecraftwiki.net/images/2/2e/Grid_Ice.png'),
(80, 0, 0, 108, 'http://www.minecraftwiki.net/images/6/66/Grid_Snow_%28Block%29.png'),
(81, 0, 0, 109, 'http://www.minecraftwiki.net/images/f/fb/Grid_Cactus.png'),
(82, 0, 0, 110, 'http://www.minecraftwiki.net/images/a/a6/Grid_Clay_%28Block%29.png'),
(83, 0, 0, 111, 'http://www.minecraftwiki.net/images/d/d3/Grid_Sugar_Cane.png'),
(84, 0, 0, 112, 'http://www.minecraftwiki.net/images/1/10/Grid_Jukebox.png'),
(85, 0, 0, 113, 'http://www.minecraftwiki.net/images/c/c8/Grid_Fence.png'),
(86, 0, 0, 114, 'http://www.minecraftwiki.net/images/b/be/Grid_Pumpkin.png'),
(87, 0, 0, 115, 'http://www.minecraftwiki.net/images/8/86/Grid_Netherrack.png";'),
(88, 0, 0, 116, 'http://www.minecraftwiki.net/images/e/e4/Grid_Soul_Sand.png'),
(89, 0, 0, 117, 'http://www.minecraftwiki.net/images/f/fd/Grid_Glowstone_%28Block%29.png'),
(90, 0, 0, 118, 'http://www.minecraftwiki.net/images/8/8f/Grid_Portal.png'),
(91, 0, 0, 119, 'http://www.minecraftwiki.net/images/a/ac/Grid_Jack-O-Lantern.png'),
(92, 0, 0, 120, 'http://www.minecraftwiki.net/images/2/28/Grid_Cake.png'),
(93, 0, 0, 121, 'http://www.minecraftwiki.net/images/b/b0/Grid_Redstone_%28Repeater%29.png'),
(94, 0, 0, 122, 'http://www.minecraftwiki.net/images/b/b0/Grid_Redstone_%28Repeater%29.png'),
(95, 0, 0, 123, 'http://www.minecraftwiki.net/images/5/56/Grid_Locked_Chest.png'),
(96, 0, 0, 124, 'http://www.minecraftwiki.net/images/b/b2/Grid_Trapdoor.png'),
(97, 0, 0, 125, 'http://media-mcw.cursecdn.com/thumb/d/d4/Stone.png/25px-Stone.png'),
(98, 0, 0, 126, 'http://www.minecraftwiki.net/images/1/1c/Grid_Stone_Brick.png'),
(99, 0, 0, 127, 'http://www.minecraftwiki.net/images/0/07/Grid_Huge_Brown_Mushroom.png'),
(100, 0, 0, 128, 'http://www.minecraftwiki.net/images/3/33/Grid_Huge_Red_Mushroom.png'),
(101, 0, 0, 129, 'http://www.minecraftwiki.net/images/0/00/Grid_Iron_Bars.png'),
(102, 0, 0, 130, 'http://www.minecraftwiki.net/images/3/30/Grid_Glass_Pane.png'),
(103, 0, 0, 131, 'http://www.minecraftwiki.net/images/0/09/Grid_Melon_%28Block%29.png'),
(104, 0, 0, 132, 'http://www.minecraftwiki.net/images/thumb/7/7c/Seed_Stem.png/25px-Seed_Stem.png'),
(105, 0, 0, 133, 'http://www.minecraftwiki.net/images/thumb/7/7c/Seed_Stem.png/25px-Seed_Stem.png'),
(106, 0, 0, 134, 'http://www.minecraftwiki.net/images/2/29/Grid_Vines.png'),
(107, 0, 0, 135, 'http://www.minecraftwiki.net/images/c/c2/Grid_Fence_Gate.png'),
(108, 0, 0, 136, 'http://www.minecraftwiki.net/images/3/3c/Grid_Brick_Stairs.png'),
(109, 0, 0, 137, 'http://www.minecraftwiki.net/images/a/af/Grid_Stone_Brick_Stairs.png'),
(256, 0, 0, 138, 'http://www.minecraftwiki.net/images/0/01/Grid_Iron_Shovel.png'),
(257, 0, 0, 139, 'http://www.minecraftwiki.net/images/1/1d/Grid_Iron_Pickaxe.png'),
(258, 0, 0, 140, 'http://www.minecraftwiki.net/images/1/1d/Grid_Iron_Axe.png'),
(259, 0, 0, 141, 'http://www.minecraftwiki.net/images/f/fb/Grid_Flint_and_Steel.png'),
(260, 0, 0, 142, 'http://www.minecraftwiki.net/images/3/39/Grid_Red_Apple.png'),
(261, 0, 0, 143, 'http://www.minecraftwiki.net/images/4/49/Grid_Bow.png'),
(262, 0, 0, 144, 'http://www.minecraftwiki.net/images/c/cc/Grid_Arrow.png'),
(263, 0, 0, 145, 'http://www.minecraftwiki.net/images/1/1c/Grid_Coal_%28Item%29.png'),
(263, 1, 0, 146, 'http://www.minecraftwiki.net/images/5/54/Grid_Charcoal_%28Item%29.png'),
(264, 0, 0, 147, 'http://www.minecraftwiki.net/images/c/cf/Grid_Diamond_%28Gem%29.png'),
(265, 0, 0, 148, 'http://www.minecraftwiki.net/images/c/c6/Grid_Iron_%28Ingot%29.png'),
(266, 0, 0, 149, 'http://www.minecraftwiki.net/images/6/62/Grid_Gold_%28Ingot%29.png'),
(267, 0, 0, 150, 'http://www.minecraftwiki.net/images/d/d5/Grid_Iron_Sword.png'),
(268, 0, 0, 151, 'http://www.minecraftwiki.net/images/c/cf/Grid_Wooden_Sword.png'),
(269, 0, 0, 152, 'http://www.minecraftwiki.net/images/2/21/Grid_Wooden_Shovel.png'),
(270, 0, 0, 153, 'http://www.minecraftwiki.net/images/3/3d/Grid_Wooden_Pickaxe.png'),
(271, 0, 0, 154, 'http://www.minecraftwiki.net/images/2/2a/Grid_Wooden_Axe.png'),
(272, 0, 0, 155, 'http://www.minecraftwiki.net/images/e/e1/Grid_Stone_Sword.png'),
(273, 0, 0, 156, 'http://www.minecraftwiki.net/images/f/ff/Grid_Stone_Shovel.png'),
(274, 0, 0, 157, 'http://www.minecraftwiki.net/images/d/d2/Grid_Stone_Pickaxe.png'),
(275, 0, 0, 158, 'http://www.minecraftwiki.net/images/5/55/Grid_Stone_Axe.png'),
(276, 0, 0, 159, 'http://www.minecraftwiki.net/images/8/81/Grid_Diamond_Sword.png'),
(277, 0, 0, 160, 'http://www.minecraftwiki.net/images/8/8e/Grid_Diamond_Shovel.png'),
(278, 0, 0, 161, 'http://www.minecraftwiki.net/images/c/ce/Grid_Diamond_Pickaxe.png'),
(279, 0, 0, 162, 'http://www.minecraftwiki.net/images/8/8d/Grid_Diamond_Axe.png'),
(280, 0, 0, 163, 'http://www.minecraftwiki.net/images/e/e9/Grid_Stick.png'),
(281, 0, 0, 164, 'http://www.minecraftwiki.net/images/f/f1/Grid_Bowl.png'),
(282, 0, 0, 165, 'http://www.minecraftwiki.net/images/f/fd/Grid_Mushroom_Stew.png'),
(283, 0, 0, 166, 'http://www.minecraftwiki.net/images/1/1f/Grid_Gold_Sword.png'),
(284, 0, 0, 167, 'http://www.minecraftwiki.net/images/8/85/Grid_Gold_Shovel.png'),
(285, 0, 0, 168, 'http://www.minecraftwiki.net/images/9/95/Grid_Gold_Pickaxe.png'),
(286, 0, 0, 169, 'http://www.minecraftwiki.net/images/9/99/Grid_Gold_Axe.png'),
(287, 0, 0, 170, 'http://www.minecraftwiki.net/images/f/fa/Grid_String.png'),
(288, 0, 0, 171, 'http://www.minecraftwiki.net/images/a/a7/Grid_Feather.png'),
(289, 0, 0, 172, 'http://www.minecraftwiki.net/images/7/7a/Grid_Gunpowder.png'),
(290, 0, 0, 173, 'http://www.minecraftwiki.net/images/e/ea/Grid_Wooden_Hoe.png'),
(291, 0, 0, 174, 'http://www.minecraftwiki.net/images/b/ba/Grid_Stone_Hoe.png'),
(292, 0, 0, 175, 'http://www.minecraftwiki.net/images/f/f8/Grid_Iron_Hoe.png'),
(293, 0, 0, 176, 'http://www.minecraftwiki.net/images/c/c9/Grid_Diamond_Hoe.png'),
(294, 0, 0, 177, 'http://www.minecraftwiki.net/images/7/77/Grid_Gold_Hoe.png'),
(295, 0, 0, 178, 'http://www.minecraftwiki.net/images/6/68/Grid_Seeds.png'),
(296, 0, 0, 179, 'http://media-mcw.cursecdn.com/c/c4/Grid_Wheat.png'),
(297, 0, 0, 180, 'http://media-mcw.cursecdn.com/d/d4/Grid_Bread.png'),
(298, 0, 0, 181, 'http://www.minecraftwiki.net/images/2/24/Grid_Leather_Cap.png'),
(299, 0, 0, 182, 'http://www.minecraftwiki.net/images/e/ed/Grid_Leather_Tunic.png'),
(300, 0, 0, 183, 'http://www.minecraftwiki.net/images/c/ce/Grid_Leather_Pants.png'),
(301, 0, 0, 184, 'http://www.minecraftwiki.net/images/0/06/Grid_Leather_Boots.png'),
(302, 0, 0, 185, 'http://www.minecraftwiki.net/images/c/cf/Grid_Chain_Armor_Helmet.png'),
(303, 0, 0, 186, 'http://www.minecraftwiki.net/images/f/f4/Grid_Chain_Armor_Chestplate.png'),
(304, 0, 0, 187, 'http://www.minecraftwiki.net/images/1/1b/Grid_Chain_Armor_Leggings.png'),
(305, 0, 0, 188, 'http://www.minecraftwiki.net/images/7/74/Grid_Chain_Armor_Boots.png'),
(306, 0, 0, 189, 'http://www.minecraftwiki.net/images/e/ec/Grid_Iron_Helmet.png'),
(307, 0, 0, 190, 'http://www.minecraftwiki.net/images/8/8d/Grid_Iron_Chestplate.png'),
(308, 0, 0, 191, 'http://www.minecraftwiki.net/images/9/99/Grid_Iron_Leggings.png'),
(309, 0, 0, 192, 'http://www.minecraftwiki.net/images/f/f5/Grid_Iron_Boots.png'),
(310, 0, 0, 193, 'http://www.minecraftwiki.net/images/b/bd/Grid_Diamond_Helmet.png'),
(311, 0, 0, 194, 'http://www.minecraftwiki.net/images/e/e7/Grid_Diamond_Chestplate.png'),
(312, 0, 0, 195, 'http://www.minecraftwiki.net/images/e/e3/Grid_Diamond_Leggings.png'),
(313, 0, 0, 196, 'http://www.minecraftwiki.net/images/d/d1/Grid_Diamond_Boots.png'),
(314, 0, 0, 197, 'http://www.minecraftwiki.net/images/3/3a/Grid_Gold_Helmet.png'),
(315, 0, 0, 198, 'http://www.minecraftwiki.net/images/7/7b/Grid_Gold_Chestplate.png'),
(316, 0, 0, 199, 'http://www.minecraftwiki.net/images/f/f5/Grid_Gold_Leggings.png'),
(317, 0, 0, 200, 'http://www.minecraftwiki.net/images/0/00/Grid_Gold_Boots.png'),
(318, 0, 0, 201, 'http://www.minecraftwiki.net/images/8/82/Grid_Flint.png'),
(319, 0, 0, 202, 'http://media-mcw.cursecdn.com/e/ec/Grid_Raw_Porkchop.png'),
(320, 0, 0, 203, 'http://media-mcw.cursecdn.com/b/bd/Grid_Cooked_Porkchop.png'),
(321, 0, 0, 204, 'http://www.minecraftwiki.net/images/c/cc/Grid_Painting.png'),
(322, 0, 0, 205, 'http://media-mcw.cursecdn.com/4/4e/Grid_Golden_Apple.png'),
(323, 0, 0, 206, 'http://www.minecraftwiki.net/images/0/06/Grid_Sign.png'),
(324, 0, 0, 207, 'http://www.minecraftwiki.net/images/c/cd/Grid_Wooden_Door.png'),
(325, 0, 0, 208, 'http://www.minecraftwiki.net/images/2/2a/Grid_Bucket.png'),
(326, 0, 0, 209, 'http://www.minecraftwiki.net/images/b/bf/Grid_Water_Bucket.png'),
(327, 0, 0, 210, 'http://www.minecraftwiki.net/images/c/cf/Grid_Lava_Bucket.png'),
(328, 0, 0, 211, 'http://www.minecraftwiki.net/images/5/58/Grid_Minecart.png'),
(329, 0, 0, 212, 'http://www.minecraftwiki.net/images/0/09/Grid_Saddle.png'),
(330, 0, 0, 213, 'http://www.minecraftwiki.net/images/2/27/Grid_Iron_Door.png'),
(331, 0, 0, 214, 'http://www.minecraftwiki.net/images/c/c3/Grid_Redstone_%28Dust%29.png'),
(332, 0, 0, 215, 'http://www.minecraftwiki.net/images/6/67/Grid_Snowball.png'),
(333, 0, 0, 216, 'http://www.minecraftwiki.net/images/5/59/Grid_Boat.png'),
(334, 0, 0, 217, 'http://www.minecraftwiki.net/images/6/66/Grid_Leather.png'),
(335, 0, 0, 218, 'http://media-mcw.cursecdn.com/6/63/Grid_Milk_Bucket.png'),
(336, 0, 0, 219, 'http://www.minecraftwiki.net/images/e/ed/Grid_Clay_%28Brick%29.png'),
(337, 0, 0, 220, 'http://www.minecraftwiki.net/images/3/38/Grid_Clay_%28Item%29.png'),
(338, 0, 0, 221, 'http://www.minecraftwiki.net/images/d/d3/Grid_Sugar_Cane.png'),
(339, 0, 0, 222, 'http://www.minecraftwiki.net/images/6/6c/Grid_Paper.png'),
(340, 0, 0, 223, 'http://www.minecraftwiki.net/images/e/ec/Grid_Book.png'),
(341, 0, 0, 224, 'http://www.minecraftwiki.net/images/c/c9/Grid_Slimeball.png'),
(342, 0, 0, 225, 'http://www.minecraftwiki.net/images/f/f0/Grid_Minecart_with_Chest.png'),
(343, 0, 0, 226, 'http://www.minecraftwiki.net/images/3/36/Grid_Minecart_with_Furnace.png'),
(344, 0, 0, 227, 'http://media-mcw.cursecdn.com/2/27/Grid_Egg.png'),
(345, 0, 0, 228, 'http://www.minecraftwiki.net/images/f/f2/Grid_Compass.png'),
(346, 0, 0, 229, 'http://www.minecraftwiki.net/images/c/c7/Grid_Fishing_Rod.png'),
(347, 0, 0, 230, 'http://www.minecraftwiki.net/images/3/32/Grid_Clock.png'),
(348, 0, 0, 231, 'http://www.minecraftwiki.net/images/2/2c/Grid_Glowstone_%28Dust%29.png'),
(349, 0, 0, 232, '0'),
(350, 0, 0, 233, 'http://media-mcw.cursecdn.com/2/29/Grid_Cooked_Fish.png'),
(351, 0, 0, 234, 'http://www.minecraftwiki.net/images/d/d6/Grid_Ink_Sac.png'),
(351, 1, 0, 235, 'http://www.minecraftwiki.net/images/0/0d/Grid_Rose_Red.png'),
(351, 2, 0, 236, 'http://www.minecraftwiki.net/images/f/fd/Grid_Cactus_Green.png'),
(351, 3, 0, 237, 'http://www.minecraftwiki.net/images/7/7d/Grid_Cocoa_Beans.png'),
(351, 4, 0, 238, 'http://www.minecraftwiki.net/images/a/a8/Grid_Lapis_Lazuli_%28Dye%29.png'),
(351, 5, 0, 239, 'http://www.minecraftwiki.net/images/a/a0/Grid_Purple_Dye.png'),
(351, 6, 0, 240, 'http://www.minecraftwiki.net/images/c/ca/Grid_Cyan_Dye.png'),
(351, 7, 0, 241, 'http://www.minecraftwiki.net/images/1/16/Grid_Light_Gray_Dye.png'),
(351, 8, 0, 242, 'http://www.minecraftwiki.net/images/5/54/Grid_Gray_Dye.png'),
(351, 9, 0, 243, 'http://www.minecraftwiki.net/images/b/bb/Grid_Pink_Dye.png'),
(351, 10, 0, 244, 'http://www.minecraftwiki.net/images/a/a6/Grid_Lime_Dye.png'),
(351, 11, 0, 245, 'http://www.minecraftwiki.net/images/d/df/Grid_Dandelion_Yellow.png'),
(351, 12, 0, 246, 'http://www.minecraftwiki.net/images/a/ae/Grid_Light_Blue_Dye.png'),
(351, 13, 0, 247, 'http://www.minecraftwiki.net/images/8/8f/Grid_Magenta_Dye.png'),
(351, 14, 0, 248, 'http://www.minecraftwiki.net/images/b/b2/Grid_Orange_Dye.png'),
(351, 15, 0, 249, 'http://www.minecraftwiki.net/images/c/c0/Grid_Bone_Meal.png'),
(352, 0, 0, 250, 'http://www.minecraftwiki.net/images/e/e8/Grid_Bone.png'),
(353, 0, 0, 251, 'http://www.minecraftwiki.net/images/9/96/Grid_Sugar.png'),
(354, 0, 0, 252, 'http://www.minecraftwiki.net/images/2/28/Grid_Cake.png'),
(355, 0, 0, 253, 'http://www.minecraftwiki.net/images/a/a3/Grid_Bed.png'),
(356, 0, 0, 254, 'http://www.minecraftwiki.net/images/b/b0/Grid_Redstone_%28Repeater%29.png'),
(357, 0, 0, 255, 'http://www.minecraftwiki.net/images/9/95/Grid_Cookie.png'),
(358, 0, 0, 256, 'http://www.minecraftwiki.net/images/3/33/Grid_Map_%28Item%29.png'),
(359, 0, 0, 257, 'http://www.minecraftwiki.net/images/1/13/Grid_Shears.png'),
(360, 0, 0, 258, 'http://www.minecraftwiki.net/images/e/ee/Grid_Melon_%28Slice%29.png'),
(361, 0, 0, 259, 'http://www.minecraftwiki.net/images/7/72/Grid_Pumpkin_Seeds.png'),
(362, 0, 0, 260, 'http://www.minecraftwiki.net/images/7/75/Grid_Melon_Seeds.png'),
(363, 0, 0, 261, 'http://www.minecraftwiki.net/images/6/61/Grid_Raw_Beef.png'),
(364, 0, 0, 262, 'http://www.minecraftwiki.net/images/d/da/Grid_Steak.png'),
(365, 0, 0, 263, 'http://www.minecraftwiki.net/images/e/e5/Grid_Raw_Chicken.png'),
(366, 0, 0, 264, 'http://www.minecraftwiki.net/images/2/2e/Grid_Cooked_Chicken.png'),
(367, 0, 0, 265, 'http://www.minecraftwiki.net/images/3/33/Grid_Rotten_Flesh.png'),
(368, 0, 0, 266, 'http://www.minecraftwiki.net/images/1/13/Grid_Ender_Pearl.png'),
(2256, 0, 0, 267, 'http://www.minecraftwiki.net/images/5/55/Grid_Gold_Disc.png'),
(2257, 0, 0, 268, 'http://www.minecraftwiki.net/images/c/c4/Grid_Green_Disc.png'),
(116, 0, 0, 269, 'http://www.minecraftwiki.net/images/0/00/Grid_Enchantment_Table.png'),
(379, 0, 0, 270, 'http://www.minecraftwiki.net/images/7/70/Grid_Brewing_Stand.png'),
(44, 4, 0, 271, 'http://www.minecraftwiki.net/images/0/01/Grid_Brick_Slab.png'),
(44, 5, 0, 272, 'http://www.minecraftwiki.net/images/4/46/Grid_Stone_Bricks_Slab.png'),
(44, 6, 0, 273, 'http://www.minecraftwiki.net/images/5/5c/Grid_Oak_Wood_Slab.png'),
(44, 7, 0, 274, 'http://www.minecraftwiki.net/images/6/60/Grid_Spruce_Wood_Slab.png'),
(44, 8, 0, 275, 'http://www.minecraftwiki.net/images/b/bc/Grid_Birch_Wood_Slab.png'),
(381, 0, 0, 276, 'http://www.minecraftwiki.net/images/0/0e/Grid_Eye_of_Ender.png'),
(380, 0, 0, 277, 'http://www.minecraftwiki.net/images/c/ca/Grid_Cauldron.png'),
(382, 0, 0, 278, 'http://www.minecraftwiki.net/images/1/11/Grid_Glistering_Melon.png'),
(378, 0, 0, 279, 'http://www.minecraftwiki.net/images/e/e8/Grid_Magma_Cream.png'),
(374, 0, 0, 280, 'http://www.minecraftwiki.net/images/2/22/Grid_Glass_Bottle.png'),
(98, 0, 0, 281, 'http://www.minecraftwiki.net/images/1/1c/Grid_Stone_Brick.png'),
(98, 1, 0, 282, 'http://www.minecraftwiki.net/images/2/23/Grid_Mossy_Stone_Brick.png'),
(98, 2, 0, 283, 'http://www.minecraftwiki.net/images/8/85/Grid_Cracked_Stone_Brick.png'),
(98, 3, 0, 284, 'http://www.minecraftwiki.net/images/7/7b/Grid_Chiseled_Stone_Brick.png'),
(24, 0, 0, 285, 'http://www.minecraftwiki.net/images/1/12/Grid_Sandstone.png'),
(24, 1, 0, 286, 'http://www.minecraftwiki.net/images/1/1b/Grid_Decorative_Sandstone.png'),
(24, 2, 0, 287, 'http://www.minecraftwiki.net/images/2/22/Grid_Smooth_Sandstone.png'),
(5, 1, 0, 288, 'http://www.minecraftwiki.net/images/b/bb/Grid_Wooden_Plank_%28Pine%29.png'),
(5, 2, 0, 289, 'http://www.minecraftwiki.net/images/0/01/Grid_Wooden_Plank_%28Birch%29.png'),
(5, 3, 0, 290, 'http://www.minecraftwiki.net/images/2/2a/Grid_Wooden_Plank_%28Jungle%29.png'),
(6, 3, 0, 291, 'http://www.minecraftwiki.net/images/7/7f/Grid_Sapling_Jungle.png'),
(112, 0, 0, 292, 'http://www.minecraftwiki.net/images/6/62/Grid_Nether_Brick.png'),
(113, 0, 0, 293, 'http://www.minecraftwiki.net/images/5/59/Grid_Nether_Brick_Fence.png'),
(114, 0, 0, 294, 'http://www.minecraftwiki.net/images/6/68/Grid_Nether_Brick_Stairs.png'),
(17, 3, 0, 295, 'http://www.minecraftwiki.net/images/5/5e/Grid_Wood_%28Jungle%29.png'),
(18, 7, 0, 296, 'http://www.minecraftwiki.net/images/1/1b/Grid_Leaves_%28Jungle%29.png'),
(126, 0, 0, 297, 'http://media-mcw.cursecdn.com/2/29/Grid_Stone_Slab.png'),
(126, 1, 0, 298, 'http://media-mcw.cursecdn.com/2/2a/Grid_Sandstone_Slab.png'),
(126, 3, 0, 299, 'http://media-mcw.cursecdn.com/f/f7/Grid_Cobblestone_Slab.png'),
(126, 4, 0, 300, 'http://media-mcw.cursecdn.com/0/01/Grid_Brick_Slab.png'),
(126, 5, 0, 301, 'http://media-mcw.cursecdn.com/4/46/Grid_Stone_Bricks_Slab.png'),
(135, 0, 0, 302, 'http://media-mcw.cursecdn.com/d/de/Grid_Birch_Wood_Stairs.png'),
(110, 0, 0, 303, 'http://media-mcw.cursecdn.com/a/aa/Grid_Mycelium.png'),
(136, 0, 0, 304, 'http://media-mcw.cursecdn.com/b/b9/Grid_Jungle_Wood_Stairs.png'),
(128, 0, 0, 305, 'http://media-mcw.cursecdn.com/0/0d/Grid_Sandstone_Stairs.png'),
(130, 0, 0, 306, 'http://media-mcw.cursecdn.com/5/56/Grid_Ender_Chest.png'),
(120, 0, 0, 307, 'http://media-mcw.cursecdn.com/thumb/5/56/End_Portal_Frame.png/25px-End_Portal_Frame.png'),
(111, 0, 0, 308, 'http://media-mcw.cursecdn.com/4/49/Grid_Lily_Pad.png'),
(123, 0, 0, 309, 'http://media-mcw.cursecdn.com/f/fa/Grid_Redstone_Lamp.png'),
(131, 0, 0, 310, 'http://media-mcw.cursecdn.com/9/90/Grid_Tripwire_Hook.png'),
(383, 50, 0, 311, 'http://media-mcw.cursecdn.com/f/fc/Grid_Spawn_Creeper.png'),
(383, 51, 0, 312, 'http://media-mcw.cursecdn.com/3/35/Grid_Spawn_Skeleton.png'),
(383, 52, 0, 313, 'http://media-mcw.cursecdn.com/5/50/Grid_Spawn_Spider.png'),
(383, 54, 0, 314, 'http://media-mcw.cursecdn.com/3/30/Grid_Spawn_Zombie.png'),
(383, 55, 0, 315, 'http://media-mcw.cursecdn.com/1/11/Grid_Spawn_Slime.png'),
(383, 56, 0, 316, 'http://media-mcw.cursecdn.com/3/3f/Grid_Spawn_Ghast.png'),
(383, 57, 0, 317, 'http://media-mcw.cursecdn.com/7/7b/Grid_Spawn_Pig_Zombie.png'),
(383, 58, 0, 318, 'http://media-mcw.cursecdn.com/6/62/Grid_Spawn_Enderman.png'),
(383, 59, 0, 319, 'http://media-mcw.cursecdn.com/e/ee/Grid_Spawn_Cave_Spider.png'),
(383, 60, 0, 320, 'http://media-mcw.cursecdn.com/1/11/Grid_Spawn_Silverfish.png'),
(383, 61, 0, 321, 'http://media-mcw.cursecdn.com/f/ff/Grid_Spawn_Blaze.png'),
(383, 62, 0, 322, 'http://media-mcw.cursecdn.com/2/25/Grid_Spawn_Magma_Cube.png'),
(383, 90, 0, 323, 'http://media-mcw.cursecdn.com/0/09/Grid_Spawn_Pig.png'),
(383, 91, 0, 324, 'http://media-mcw.cursecdn.com/f/f8/Grid_Spawn_Sheep.png'),
(383, 92, 0, 325, 'http://media-mcw.cursecdn.com/8/80/Grid_Spawn_Cow.png'),
(383, 93, 0, 326, 'http://media-mcw.cursecdn.com/b/b0/Grid_Spawn_Chicken.png'),
(383, 94, 0, 327, 'http://media-mcw.cursecdn.com/5/58/Grid_Spawn_Squid.png'),
(383, 95, 0, 328, 'http://media-mcw.cursecdn.com/4/4b/Grid_Spawn_Wolf.png'),
(383, 96, 0, 329, 'http://media-mcw.cursecdn.com/9/91/Grid_Spawn_Mooshroom.png'),
(383, 97, 0, 330, '0'),
(383, 53, 0, 331, '0'),
(383, 63, 0, 332, '0'),
(383, 98, 0, 333, 'http://media-mcw.cursecdn.com/e/e8/Grid_Spawn_Ocelot.png'),
(383, 99, 0, 334, '0'),
(383, 120, 0, 335, 'http://media-mcw.cursecdn.com/0/02/Grid_Spawn_Villager.png'),
(384, 0, 0, 336, 'http://media-mcw.cursecdn.com/b/bf/Grid_Bottle_o%27_Enchanting.png'),
(385, 0, 0, 337, 'http://media-mcw.cursecdn.com/e/e1/Grid_Fire_Charge.png'),
(386, 0, 0, 338, 'http://media-mcw.cursecdn.com/e/eb/Grid_Book_and_Quill.png'),
(2258, 0, 0, 339, 'http://media-mcw.cursecdn.com/4/4d/Grid_Blocks_Disc.png'),
(2259, 0, 0, 340, 'http://media-mcw.cursecdn.com/b/be/Grid_Chirp_Disc.png'),
(2260, 0, 0, 341, 'http://media-mcw.cursecdn.com/9/9e/Grid_Far_Disc.png'),
(2261, 0, 0, 342, 'http://media-mcw.cursecdn.com/b/b8/Grid_Mall_Disc.png'),
(2263, 0, 0, 343, 'http://media-mcw.cursecdn.com/1/1d/Grid_Stal_Disc.png'),
(2262, 0, 0, 344, 'http://media-mcw.cursecdn.com/7/7a/Grid_Mellohi_Disc.png'),
(2264, 0, 0, 345, 'http://media-mcw.cursecdn.com/a/aa/Grid_Strad_Disc.png'),
(2265, 0, 0, 346, 'http://media-mcw.cursecdn.com/d/da/Grid_Ward_Disc.png'),
(2266, 0, 0, 347, 'http://media-mcw.cursecdn.com/e/e4/Grid_11_Disc.png'),
(375, 0, 0, 348, 'http://media-mcw.cursecdn.com/0/03/Grid_Spider_Eye.png'),
(377, 0, 0, 349, 'http://media-mcw.cursecdn.com/0/09/Grid_Blaze_Powder.png'),
(369, 0, 0, 350, 'http://media-mcw.cursecdn.com/1/18/Grid_Blaze_Rod.png'),
(372, 0, 0, 351, 'http://media-mcw.cursecdn.com/f/f2/Grid_Nether_Wart_Seeds.png'),
(388, 0, 0, 352, 'http://media-mcw.cursecdn.com/8/87/Grid_Emerald.png'),
(371, 0, 0, 353, 'http://media-mcw.cursecdn.com/1/1d/Grid_Gold_Nugget.png'),
(97, 1, 0, 354, 'http://media-mcw.cursecdn.com/0/03/Grid_Cobblestone.png'),
(97, 2, 0, 355, 'http://media-mcw.cursecdn.com/1/1c/Grid_Stone_Brick.png'),
(322, 1, 0, 358, 'http://media-mcw.cursecdn.com/4/4e/Grid_Golden_Apple.png'),
(126, 2, 0, 359, 'http://media-mcw.cursecdn.com/b/bc/Grid_Birch_Wood_Slab.png');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_items_log`
--

CREATE TABLE IF NOT EXISTS `ah_items_log` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Item Log ID',
  `itemId` int(11) NOT NULL,
  `itemBytes` int(11) NOT NULL,
  `playerBuyId` int(11) unsigned NOT NULL COMMENT 'Account Käufer ID',
  `playerSellId` int(11) unsigned NOT NULL COMMENT 'Account Verkäufer ID',
  `itemAuctionsId` int(11) unsigned NOT NULL COMMENT 'Item Auctions | StoreHouse | PostBox ID',
  `logActionId` int(11) unsigned NOT NULL COMMENT 'Buy= 1 |Sell = 2',
  PRIMARY KEY (`id`),
  KEY `logActionId` (`logActionId`),
  KEY `itemAuctionsId` (`itemAuctionsId`),
  KEY `playerSellId` (`playerSellId`),
  KEY `playerBuyId` (`playerBuyId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_items_log_modes`
--

CREATE TABLE IF NOT EXISTS `ah_items_log_modes` (
  `id` int(11) unsigned NOT NULL,
  `logAction` varchar(100) NOT NULL,
  KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `ah_items_log_modes`
--

INSERT INTO `ah_items_log_modes` (`id`, `logAction`) VALUES
(1, 'Buy'),
(2, 'Sell');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_items_postbox`
--

CREATE TABLE IF NOT EXISTS `ah_items_postbox` (
  `id` int(11) unsigned NOT NULL COMMENT 'Database Item ID',
  `playerId` int(11) unsigned NOT NULL COMMENT 'Spieler ID',
  KEY `id` (`id`),
  KEY `playerId` (`playerId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_items_storehouse`
--

CREATE TABLE IF NOT EXISTS `ah_items_storehouse` (
  `id` int(11) unsigned NOT NULL COMMENT 'Item Database ID',
  `playerId` int(11) unsigned NOT NULL COMMENT 'Spieler ID',
  KEY `id` (`id`),
  KEY `playerId` (`playerId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_language_blocklabel`
--

CREATE TABLE IF NOT EXISTS `ah_language_blocklabel` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `blockLabel` varchar(300) NOT NULL,
  `sequence` int(11) NOT NULL,
  `visible` int(11) NOT NULL,
  `typeId` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Daten für Tabelle `ah_language_blocklabel`
--

INSERT INTO `ah_language_blocklabel` (`id`, `blockLabel`, `sequence`, `visible`, `typeId`) VALUES
(1, 'LBL_NAVI_ALL_ITEMS', 1, 1, 1),
(2, 'LBL_NAVI_WEAPON', 2, 1, 1),
(3, 'LBL_NAVI_ARMOR', 3, 1, 1);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_language_blocktype`
--

CREATE TABLE IF NOT EXISTS `ah_language_blocktype` (
  `id` int(11) NOT NULL,
  `typeName` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `ah_language_blocktype`
--

INSERT INTO `ah_language_blocktype` (`id`, `typeName`) VALUES
(1, 'itemNavigation'),
(2, 'Message');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_language_items`
--

CREATE TABLE IF NOT EXISTS `ah_language_items` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Item Language ID',
  `de` varchar(200) NOT NULL COMMENT 'Item Name Deutsch',
  `en` varchar(200) NOT NULL COMMENT 'Item Name English',
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=360 ;

--
-- Daten für Tabelle `ah_language_items`
--

INSERT INTO `ah_language_items` (`id`, `de`, `en`) VALUES
(1, '0', 'Stone'),
(2, '0', 'Grass'),
(3, '0', 'Dirt'),
(4, '0', 'Cobblestone'),
(5, '0', 'Wooden_Plank'),
(6, '0', 'Sapling'),
(7, '0', 'Sapling_Spruce'),
(8, '0', 'Sapling_Birch'),
(9, '0', 'Bedrock'),
(10, '0', 'Water'),
(11, '0', 'Stationary Water'),
(12, '0', 'Lava'),
(13, '0', 'Stationary Water'),
(14, '0', 'Sand'),
(15, '0', 'Gravel'),
(16, '0', 'Gold'),
(17, '0', 'Iron'),
(18, '0', 'Coal Ore'),
(19, '0', 'Wood'),
(20, '0', 'Wood Pine'),
(21, '0', 'Wood Birch'),
(22, '0', 'Leaves'),
(23, '0', 'Leaves Pine'),
(24, '0', 'Leaves Birch'),
(25, '0', 'Sponge'),
(26, '0', 'Glass'),
(27, '0', 'Lapis Lazuli Ore'),
(28, '0', 'Lapis Lazuli Block'),
(29, '0', 'Dispenser'),
(30, '0', 'Sandstone'),
(31, '0', 'Note Block'),
(32, '0', 'Bed'),
(33, '0', 'Powered Rail'),
(34, '0', 'Detector Rail'),
(35, '0', 'Sticky Piston'),
(36, '0', 'Web'),
(37, '0', 'Dead Shrub'),
(38, '0', 'Tall Grass'),
(39, '0', 'Live Shrub'),
(40, '0', 'Dead Shrub'),
(41, '0', 'Piston'),
(42, '0', 'Piston Head'),
(43, '0', 'White Wool'),
(44, '0', 'Orange Wool'),
(45, '0', 'Magenta Wool'),
(46, '0', 'Light Blue Wool'),
(47, '0', 'Yellow Wool'),
(48, '0', 'Lime Wool'),
(49, '0', 'Pink Wool'),
(50, '0', 'Gray Wool'),
(51, '0', 'Light Gray Wool'),
(52, '0', 'Cyan Wool'),
(53, '0', 'Purple Wool'),
(54, '0', 'Blue Wool'),
(55, '0', 'Brown Wool'),
(56, '0', 'Green Wool'),
(57, '0', 'Red Wool'),
(58, '0', 'Black Wool'),
(59, '0', 'Dandelion'),
(60, '0', 'Rose'),
(61, '0', 'Brown Mushroom'),
(62, '0', 'Red Mushroom'),
(63, '0', 'Gold Block'),
(64, '0', 'Iron Block'),
(65, '0', 'Double Stone Slab'),
(66, '0', 'Double Sandstone Slab'),
(67, '0', 'Double Wooden Slab'),
(68, '0', 'Double Cobblestone Slab'),
(69, '0', 'Stone Slab'),
(70, '0', 'Sandstone Slap'),
(71, '0', 'Wooden Slab'),
(72, '0', 'Cobblestone Slab'),
(73, '0', 'Brick Block'),
(74, '0', 'TNT'),
(75, '0', 'Bookshelf'),
(76, '0', 'Moss Stone'),
(77, '0', 'Obsidian'),
(78, '0', 'Torch'),
(79, '0', 'Fire'),
(80, '0', 'Monster Spawner'),
(81, '0', 'Wooden Stairs'),
(82, '0', 'Chest'),
(83, '0', 'Redstone Dust'),
(84, '0', 'Diamond Ore'),
(85, '0', 'Diamond Block'),
(86, '0', 'Crafting Table'),
(87, '0', 'Crops'),
(88, '0', 'Soil'),
(89, '0', 'Furnace'),
(90, '0', 'Furnace'),
(91, '0', 'Sign'),
(92, '0', 'Wooden Door'),
(93, '0', 'Ladders'),
(94, '0', 'Rails'),
(95, '0', 'Cooblestone Stairs'),
(96, '0', 'Sign'),
(97, '0', 'Lever'),
(98, '0', 'Stone Pressure Plate'),
(99, '0', 'Iron Door'),
(100, '0', 'Wooden Pressure Plate'),
(101, '0', 'Redstone Ore'),
(102, '0', 'Glowing Redstone Ore'),
(103, '0', 'Redstone Torch'),
(104, '0', 'Redstone Torch'),
(105, '0', 'Stone Button'),
(106, '0', 'Snow Block'),
(107, '0', 'Ice'),
(108, '0', 'Snow Block'),
(109, '0', 'Cactus'),
(110, '0', 'Clay Block'),
(111, '0', 'Sugar Cane'),
(112, '0', 'Jukebox'),
(113, '0', 'Fence'),
(114, '0', 'Pumpkin'),
(115, '0', 'Netherrack'),
(116, '0', 'Soul Sand'),
(117, '0', 'Glowstone Block'),
(118, '0', 'Portal'),
(119, '0', 'Jack O Lantern'),
(120, '0', 'Cake'),
(121, '0', 'Redstone Repeater'),
(122, '0', 'Redstone Repeater'),
(123, '0', 'Locked Chest'),
(124, '0', 'Trapdoor'),
(125, '0', 'Silverfish Stone'),
(126, '0', 'Strone Brick'),
(127, '0', 'Brown Mushroom Cap'),
(128, '0', 'Red Mushroom Cap'),
(129, '0', 'Iron Bars'),
(130, '0', 'Glass Pane'),
(131, '0', 'Melon Block '),
(132, '0', 'Pumpkin Stem'),
(133, '0', 'Melon Stem'),
(134, '0', 'Vines'),
(135, '0', 'Fence Gate'),
(136, '0', 'Brick Stairs'),
(137, '0', 'Stone Brick Stairs'),
(138, '0', 'Iron Shovel'),
(139, '0', 'Iron Pickaxe'),
(140, '0', 'Iron Axe'),
(141, '0', 'Flint and Steel'),
(142, '0', 'Red Apple'),
(143, '0', 'Bow'),
(144, '0', 'Arrow'),
(145, '0', 'Coal Item'),
(146, '0', 'Charcoal Item'),
(147, '0', 'Diamond Gem'),
(148, '0', 'Iron Ingot'),
(149, '0', 'Gold Ingot'),
(150, '0', 'Iron Sword'),
(151, '0', 'Wooden Sword'),
(152, '0', 'Wooden Shovel'),
(153, '0', 'Wooden Pickaxe'),
(154, '0', 'Wooden Axe'),
(155, '0', 'Stone Sword'),
(156, '0', 'Stone Shovel'),
(157, '0', 'Stone Pickaxe'),
(158, '0', 'Stone Axe'),
(159, '0', 'Diamond Sword'),
(160, '0', 'Diamond Shovel'),
(161, '0', 'Diamond Pickaxe'),
(162, '0', 'Diamond Axe'),
(163, '0', 'Stick'),
(164, '0', 'Bowl'),
(165, '0', 'Mushroom Stew'),
(166, '0', 'Gold Sword'),
(167, '0', 'Gold Shovel'),
(168, '0', 'Gold Pickaxe'),
(169, '0', 'Axe'),
(170, '0', 'String'),
(171, '0', 'Feather'),
(172, '0', 'Gunpowder'),
(173, '0', 'Wooden Hoe'),
(174, '0', 'Stone Hoe'),
(175, '0', 'Iron Hoe'),
(176, '0', 'Daimond Hoe'),
(177, '0', 'Gold Hoe'),
(178, '0', 'Seeds'),
(179, '0', 'Wheat'),
(180, '0', 'Bread'),
(181, '0', 'Leather Cap'),
(182, '0', 'Leather Tunic'),
(183, '0', 'Leather Pants'),
(184, '0', 'Leather Boots'),
(185, '0', 'Chain Armor Helmet'),
(186, '0', 'Chain Armor Chestplate'),
(187, '0', 'Chain Armor Leggings'),
(188, '0', 'Chain Armor Boots'),
(189, '0', 'Iron Helmet'),
(190, '0', 'Iron Chestplate'),
(191, '0', 'Iron Leggings'),
(192, '0', 'Iron Boots'),
(193, '0', 'Diamond Helmet'),
(194, '0', 'Diamond Chestplate'),
(195, '0', 'Diamond Leggings'),
(196, '0', 'Diamond Boots'),
(197, '0', 'Gold Helmet'),
(198, '0', 'Gold Chestplate'),
(199, '0', 'Gold Leggings'),
(200, '0', 'Gold Boots'),
(201, '0', 'Flint'),
(202, '0', 'Raw Porkchop'),
(203, '0', 'Cooked Porkchop'),
(204, '0', 'Painting'),
(205, '0', 'Golden Apple'),
(206, '0', 'Sign'),
(207, '0', 'Wooden Door'),
(208, '0', 'Bucket'),
(209, '0', 'Water Bucket'),
(210, '0', 'Lava Bucket'),
(211, '0', 'Minecart'),
(212, '0', 'Saddle'),
(213, '0', 'Iron Door'),
(214, '0', 'Redstone Dust'),
(215, '0', 'Snowball'),
(216, '0', 'Boat'),
(217, '0', 'Leather'),
(218, '0', 'Milk'),
(219, '0', 'Clay Brick'),
(220, '0', 'Clay Item'),
(221, '0', 'Sugar Cane'),
(222, '0', 'Paper'),
(223, '0', 'Book'),
(224, '0', 'Slimeball'),
(225, '0', 'Minecart with Chest'),
(226, '0', 'Minecart with Furnace'),
(227, '0', 'Egg'),
(228, '0', 'Compass'),
(229, '0', 'Fishing Rod'),
(230, '0', 'Clock'),
(231, '0', 'Glowstone Dust'),
(232, '0', 'Raw Fish'),
(233, '0', 'Cooked Fish'),
(234, '0', 'Ink Sac'),
(235, '0', 'Rose Red'),
(236, '0', 'Cactus Green'),
(237, '0', 'Cocoa Beans'),
(238, '0', 'Lapis Lazuli Dye'),
(239, '0', 'Purple Dye'),
(240, '0', 'Cyan Dye'),
(241, '0', 'Light Gray Dye'),
(242, '0', 'Gray Dye'),
(243, '0', 'Pink Dye'),
(244, '0', 'Lime Dye'),
(245, '0', 'Dandelion Yellow'),
(246, '0', 'Light Blue Dye'),
(247, '0', 'Magenta Dye'),
(248, '0', 'Orange Dye'),
(249, '0', 'Bone Meal'),
(250, '0', 'Bone'),
(251, '0', 'Sugar'),
(252, '0', 'Cake'),
(253, '0', 'Bed'),
(254, '0', 'Redstone Repeater'),
(255, '0', 'Cookie'),
(256, '0', 'Map Item'),
(257, '0', 'Shears'),
(258, '0', 'Melon Slice'),
(259, '0', 'Pumpkin Seeds'),
(260, '0', 'Melon Seeds'),
(261, '0', 'Raw Beef'),
(262, '0', 'Steak'),
(263, '0', 'Raw Chicken'),
(264, '0', 'Cooked Chicken'),
(265, '0', 'Rotten Flesh'),
(266, '0', 'Ender Pearl'),
(267, '0', 'Gold Disc'),
(268, '0', 'Green Disc'),
(269, '0', 'Enchantment Table'),
(270, '0', 'Brewing Stand'),
(271, '0', 'Brick Slab'),
(272, '0', 'Stone Bricks Slab'),
(273, '0', 'Oak Wood Slab'),
(274, '0', 'Spruce Wood Slab'),
(275, '0', 'Birch Wood Slab'),
(276, '0', 'Eye of Ender'),
(277, '0', 'Cauldron'),
(278, '0', 'Glistering Melon'),
(279, '0', 'Magma Cream'),
(280, '0', 'Glass Bottle'),
(281, '0', 'Stone Brick'),
(282, '0', 'Mossy Stone Brick'),
(283, '0', 'Cracked Stone Brick'),
(284, '0', 'Chiseled Stone Brick'),
(285, '0', 'Sandstone'),
(286, '0', 'Decorative Sandstone'),
(287, '0', 'Smooth Sandstone'),
(288, '0', 'Wooden Plank Pine'),
(289, '0', 'Wooden Plank Birch'),
(290, '0', 'Wooden Plank Jungle'),
(291, '0', 'Sapling Jungle'),
(292, '0', 'Nether Brick'),
(293, '0', 'Nether Brick Fence'),
(294, '0', 'Nether Brick Stairs'),
(295, '0', 'Wood Jungle'),
(296, '0', 'Leaves Jungle'),
(297, '0', 'Stone Slab'),
(298, '0', 'Sandstone Slab'),
(299, '0', 'Cobblestone Slab'),
(300, '0', 'Brick Slab'),
(301, '0', 'Stone Bricks Slab'),
(302, '0', 'Birch Wood Stairs'),
(303, '0', 'Mycelium'),
(304, '0', 'Jungle Wood Stairs'),
(305, '0', 'Sandstone Stairs'),
(306, '0', 'Ender Chest'),
(307, '0', 'End Portal Frame'),
(308, '0', 'Lily Pad'),
(309, '0', 'Redstone Lamp'),
(310, '0', 'Tripwire Hook'),
(311, '0', 'Spawn Creeper'),
(312, '0', 'Spawn Skeleton'),
(313, '0', 'Spawn Spider'),
(314, '0', 'Spawn Zombie'),
(315, '0', 'Spawn Slime'),
(316, '0', 'Spawn Ghast'),
(317, '0', 'Spawn Pig Zombie'),
(318, '0', 'Spawn Enderman'),
(319, '0', 'Spawn Cave Spider'),
(320, '0', 'Spawn Silverfish'),
(321, '0', 'Spawn Blaze'),
(322, '0', 'Spawn Magma Cube'),
(323, '0', 'Spawn Pig'),
(324, '0', 'Spawn Sheep'),
(325, '0', 'Spawn Cow'),
(326, '0', 'Spawn Chicken'),
(327, '0', 'Spawn Squid'),
(328, '0', 'Spawn Wolf'),
(329, '0', 'Spawn Mooshroom'),
(330, '0', 'Snow Golem'),
(331, '0', 'Spawn Gigant'),
(332, '0', 'Spawn Ender Dragon'),
(333, '0', 'Spawn Ocelot'),
(334, '0', 'Spawn Iron Golem'),
(335, '0', 'Spawn Villager'),
(336, '0', 'Bottle Enchanting'),
(337, '0', 'Fire Charge'),
(338, '0', 'Book and Quill'),
(339, '0', 'Blocks Disc'),
(340, '0', 'Chirp Disc'),
(341, '0', 'Far Disc'),
(342, '0', 'Mall Disc'),
(343, '0', 'Stal Disc'),
(344, '0', 'Mellohi Disc'),
(345, '0', 'Strad Disc'),
(346, '0', 'Ward Disc'),
(347, '0', '11 Disc'),
(348, '0', 'Spider Eye'),
(349, '0', 'Blaze Powder'),
(350, '0', 'Blaze Rod'),
(351, '0', 'Nether Wart Seeds'),
(352, '0', 'Emerald'),
(353, '0', 'Gold Nugget'),
(354, '0', 'Cobblestone Monster Egg'),
(355, '0', 'Stron Brick Monster Egg'),
(358, '0', 'Golden Apple (spezial)'),
(359, '0', 'Birch Wood Slab');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_language_label`
--

CREATE TABLE IF NOT EXISTS `ah_language_label` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Label ID',
  `mainType` varchar(200) NOT NULL COMMENT 'Label Catorgory',
  `lblName` varchar(350) NOT NULL,
  `sequence` int(11) NOT NULL,
  `visible` int(11) NOT NULL,
  `blockid` int(11) unsigned NOT NULL,
  `contentLang_1` varchar(350) NOT NULL,
  `contentLang_2` varchar(350) NOT NULL,
  `contentLang_3` varchar(350) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`),
  KEY `blockid` (`blockid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=113 ;

--
-- Daten für Tabelle `ah_language_label`
--

INSERT INTO `ah_language_label` (`id`, `mainType`, `lblName`, `sequence`, `visible`, `blockid`, `contentLang_1`, `contentLang_2`, `contentLang_3`) VALUES
(1, 'itemView', 'LBL_ITEMNAME', 1, 1, 0, 'Item Name', 'Item Name', 'Articolo'),
(2, 'itemView', 'LBL_IMAGE', 2, 1, 0, 'Image', 'Bild', 'Immagine'),
(3, 'itemView', 'LBL_PRICE', 3, 1, 0, 'Price', 'Preis', 'Prezzo'),
(4, 'itemView', 'LBL_SINGLE_PRICE', 4, 1, 0, 'Single Price', 'Einzel Preis', 'Prezzo Unico'),
(5, 'itemView', 'LBL_SELLER', 5, 1, 0, 'Seller', 'Verkäufer', 'Venditore'),
(6, 'itemViewResult', 'LBL_VIEW_RESULT', 1, 1, 0, 'No Items found', 'Keine Items gefunden', 'Non sono stati trovati'),
(7, 'itemNavigation', 'LBL_NAVI_ALL_ITEMS', 1, 1, 0, 'All Items', 'Alle Items', 'Tutti gli articoli'),
(8, 'itemNavigation', 'LBL_NAVI_WOOD', 1, 1, 1, 'Wood', 'Holz', 'Legno'),
(9, 'itemNavigation', 'LBL_NAVI_LETHER', 2, 1, 1, 'Lether', 'Leder', 'Pelle'),
(10, 'itemNavigation', 'LBL_NAVI_IRON', 3, 1, 1, 'Iron', 'Eisen', 'ferro da stiro'),
(11, 'itemNavigation', 'LBL_NAVI_DIAMOND', 4, 1, 1, 'Diamond', 'Diamand', 'diamante'),
(12, 'itemNavigation', 'LBL_NAVI_GOLD', 5, 1, 1, 'Gold', 'Gold', 'oro'),
(13, 'itemNavigation', 'LBL_NAVI_STONE_BLOCKS', 2, 1, 0, 'Stone Blocks', 'Stein Blöcke', 'blocchi di pietra'),
(14, 'itemNavigation', 'LBL_NAVI_WOOD_BLOCKS', 3, 1, 0, 'Wood Blocks', 'Holz Blöcke', ' Blocchi di legno'),
(15, 'itemNavigation', 'LBL_NAVI_ORE_BLOCKS', 4, 1, 0, 'Ore Blocks', 'Eisen Blöcke', 'Ore Blocchi'),
(16, 'itemNavigation', 'LBL_NAVI_WOOL', 5, 1, 0, 'Wool', 'Wolle', 'lana'),
(17, 'itemNavigation', 'LBL_NAVI_WEAPON', 6, 1, 0, 'Weapons', 'Waffen', 'stemma'),
(18, 'itemNavigation', 'LBL_NAVI_WOOD', 1, 1, 2, 'Wood', 'Holz', 'legno'),
(19, 'itemNavigation', 'LBL_NAVI_IRON', 2, 1, 2, 'Iron', 'Eisen', 'ferro da stiro'),
(20, 'itemNavigation', 'LBL_NAVI_DIAMOND', 3, 1, 2, 'Diamond', 'Diamant', 'diamante'),
(21, 'itemNavigation', 'LBL_NAVI_GOLD', 4, 1, 2, 'Gold', 'Gold', 'oro'),
(22, 'itemNavigation', 'LBL_NAVI_ARMOR', 7, 1, 0, 'Armor', 'Rüstung', 'armatura'),
(23, 'itemNavigation', 'LBL_NAVI_LETHER', 1, 1, 3, 'Lether', 'Leder', 'pelle'),
(24, 'itemNavigation', 'LBL_NAVI_IRON', 2, 1, 3, 'Iron', 'Eisen', 'ferro da stiro'),
(25, 'itemNavigation', 'LBL_NAVI_DIAMOND', 3, 1, 3, 'Diamond', 'Diamant', 'diamante'),
(26, 'itemNavigation', 'LBL_NAVI_GOLD', 4, 1, 3, 'Gold', 'Gold', 'oro'),
(27, 'itemNavigation', 'LBL_NAVI_FOOD', 8, 1, 0, 'Food', 'Nahrungsmittel', 'cibo'),
(28, 'itemNavigation', 'LBL_NAVI_DRINKS', 9, 1, 0, 'Drinks', 'Tränke', 'abbeveratoio'),
(29, 'itemNavigation', 'LBL_NAVI_SOMETHING', 10, 1, 0, 'Something', 'Sonstiges', 'altro'),
(30, 'menue', 'LBL_MENUE_NAVI', 1, 1, 0, 'Navigation', 'Navigation', 'navigazione'),
(31, 'menue', 'LBL_MENUE_CART', 2, 1, 0, 'Shopping Cart', 'Einkaufswagen', 'carrello'),
(32, 'menue', 'LBL_MENUE_PROFIL', 3, 1, 0, 'Profil', 'Profil', 'profilo'),
(33, 'menue', 'LBL_MENUE_ADMIN', 4, 1, 0, 'Administration', 'Administration', 'Administration'),
(34, 'menue', 'LBL_MENUE_FEEDBACK', 5, 1, 0, 'Feedback', 'Feedback', 'Feedback'),
(35, 'menue', 'LBL_MENUE_LOGOUT', 6, 1, 0, 'Logout', 'Ausloggen', 'Logout'),
(36, 'yourCart', 'LBL_CART', 1, 1, 0, 'Your Shop Cart', 'Dein Einkaufsbereich', 'Il tuo Negozio Carrello'),
(37, 'yourCart', 'LBL_ITEMS', 1, 1, 0, 'Items', 'Items', 'Items'),
(38, 'yourCart', 'LBL_DETAILS', 1, 1, 0, 'Details', 'Details', 'Details'),
(39, 'yourCart', 'LBL_TAX', 1, 1, 0, 'Tax', 'Steuer', 'imposta'),
(40, 'yourCart', 'LBL_SUBTOTAL', 1, 1, 0, 'subTotal', 'zwischensumme', 'subtotale'),
(41, 'yourCart', 'LBL_SUMME', 1, 1, 0, 'Summe', 'Gesamt', 'Summe'),
(42, 'profil_links', 'LBL_YOUR_AUCTION', 1, 1, 0, 'Your Auctions', 'Deine Auktionen', 'Le Aste'),
(43, 'profil_links', 'LBL_YOUR_POSTBOX', 2, 1, 0, 'Your PostBox', 'Dein Postfach', 'Il tuo postbox'),
(44, 'profil_links', 'LBL_YOUR_STOREHOUSE', 3, 1, 0, 'Your Storehouse', 'Dein Lagerhaus', 'Il Magazzino'),
(45, 'Message', 'LBL_MOVE_POSTBOX', 1, 1, 0, 'Item move to LBL_POSTBOX', 'Item verschoben nach LBL_POSTBOX', 'Articolo spostato LBL_POSTBOX'),
(46, 'Message', 'LBL_NOT_ENOUGH_MONEY', 2, 1, 0, 'You have not enough Money', 'Du hast nicht genug Geld', 'Non hanno abbastanza soldi'),
(47, 'global', 'LBL_POSTBOX', 1, 1, 0, 'Postbox', 'Postfach', 'casella postale'),
(48, 'global', 'LBL_AUCTION', 1, 1, 0, 'Auction House', 'Auktionshaus', 'vendita all''asta'),
(49, 'global', 'LBL_STOREHOUSE', 1, 1, 0, 'Storehouse', 'Lagerhaus', 'magazzino'),
(50, 'Message', 'LBL_MOVE_AUCTION', 1, 1, 0, 'Item move to LBL_AUCTION', 'Item verschoben nach LBL_AUCTION', 'Articolo spostato  LBL_AUCTION'),
(51, 'Message', 'LBL_MOVE_STOREHOUSE', 1, 1, 0, 'Item move to LBL_STOREHOUSE', 'Item verschoben nach LBL_STOREHOUSE', 'Articolo spostato LBL_STOREHOUSE'),
(52, 'Message', 'LBL_ALREADY_PURCHASED', 1, 1, 0, 'has already been purchased', 'wurde bereits gekauft', 'è già stato acquistato'),
(53, 'plugin', '#cmd_invalid', 1, 1, 0, 'Invalid Command', 'ungültiger Befehl', ''),
(54, 'plugin', '#post_empty', 1, 1, 0, 'Your MailBox is empty.', 'Dein Postfach ist leer.', ''),
(55, 'plugin', '#auction_id_missing', 1, 1, 0, 'The Auction ID is missing.', 'Die Auktions ID fehlt.', ''),
(56, 'plugin', '#auction_id_exists', 1, 1, 0, 'The Auction ID no longer exists.', 'Auktions ID existiert nicht mehr.', ''),
(57, 'plugin', '#register', 1, 0, 0, 'You are not Registered', 'Sie sind nicht Registriert', ''),
(58, 'plugin', '#register_pw', 1, 1, 0, 'Please enter a password.', 'Bitte geben Sie eine password ein.', ''),
(59, 'plugin', '#register_yes', 1, 1, 0, 'You have successfully Registered.', 'Sie wurden Erfolgreich Registriert.', ''),
(60, 'plugin', '#register_ready', 1, 1, 0, 'Already Registered.', 'Sie sind bereits Registriert', ''),
(61, 'plugin', '#money_transfer_true', 1, 1, 0, 'Money transfer successfully.', 'Geld Transfer Erfolgreich.', ''),
(62, 'plugin', '#money_notenough', 1, 1, 0, 'You do not have enough money from AuctionsHouse.', 'Du besitzt nicht so viel Geld im Auktionshaus.', ''),
(63, 'plugin', '#money_notenough_economy', 1, 1, 0, 'You do not have enough money from Economy.', 'Du besitzt nicht so viel Geld bei Economy.', ''),
(64, 'plugin', '#economy_notfound', 1, 1, 0, 'Economy not found. Transfer aborted.', 'Economy nicht gefunden. Transfer abgebrochen.', ''),
(65, 'plugin', '#items', 1, 1, 0, 'Items arrived. Check your inventory.', 'Items sind angekommen. Check dein Inventar.', ''),
(66, 'plugin', '#items_buy', 1, 1, 0, 'Items purchased successfully.', 'Item(s) wurden erfolgreich gekauft.', ''),
(67, 'plugin', '#item_price', 1, 1, 0, 'Please enter a price.', 'Bitte geben Sie einen Preis ein.', ''),
(68, 'plugin', '#item_regi', 1, 1, 0, 'Item has been registered.', 'Item wurde Registriert.', ''),
(69, 'plugin ', '#item_hand', 1, 1, 0, 'Please an item in your hand to register.', 'Bitte ein Item in die Hand nehmen zum Registrieren.', ''),
(70, 'plugin', '#item_chest', 1, 1, 0, 'There are items in the chest. No transfer.', 'Keine Items in der Truhe. Kein Transfer.', ''),
(71, 'plugin', '#cmd_invalid', 1, 1, 0, 'Invalid Command', 'ungültiger Befehl', ''),
(72, 'plugin', '#post_empty', 1, 1, 0, 'Your MailBox is empty.', 'Dein Postfach ist leer.', ''),
(73, 'plugin', '#auction_id_missing', 1, 1, 0, 'The Auction ID is missing.', 'Die Auktions ID fehlt.', ''),
(74, 'plugin', '#auction_id_exists', 1, 1, 0, 'The Auction ID no longer exists.', 'Auktions ID existiert nicht mehr.', ''),
(75, 'plugin', '#register', 1, 0, 0, 'You are not Registered', 'Sie sind nicht Registriert', ''),
(76, 'plugin', '#register_pw', 1, 1, 0, 'Please enter a password.', 'Bitte geben Sie eine password ein.', ''),
(77, 'plugin', '#register_yes', 1, 1, 0, 'You have successfully Registered.', 'Sie wurden Erfolgreich Registriert.', ''),
(78, 'plugin', '#register_ready', 1, 1, 0, 'Already Registered.', 'Sie sind bereits Registriert', ''),
(79, 'plugin', '#money_transfer_true', 1, 1, 0, 'Money transfer successfully.', 'Geld Transfer Erfolgreich.', ''),
(80, 'plugin', '#money_notenough', 1, 1, 0, 'You do not have enough money from AuctionsHouse.', 'Du besitzt nicht so viel Geld im Auktionshaus.', ''),
(81, 'plugin', '#money_notenough_economy', 1, 1, 0, 'You do not have enough money from Economy.', 'Du besitzt nicht so viel Geld bei Economy.', ''),
(82, 'plugin', '#economy_notfound', 1, 1, 0, 'Economy not found. Transfer aborted.', 'Economy nicht gefunden. Transfer abgebrochen.', ''),
(83, 'plugin', '#items', 1, 1, 0, 'Items arrived. Check your inventory.', 'Items sind angekommen. Check dein Inventar.', ''),
(84, 'plugin', '#items_buy', 1, 1, 0, 'Items purchased successfully.', 'Item(s) wurden erfolgreich gekauft.', ''),
(85, 'plugin', '#item_price', 1, 1, 0, 'Please enter a price.', 'Bitte geben Sie einen Preis ein.', ''),
(86, 'plugin', '#item_regi', 1, 1, 0, 'Item has been registered.', 'Item wurde Registriert.', ''),
(87, 'plugin ', '#item_hand', 1, 1, 0, 'Please an item in your hand to register.', 'Bitte ein Item in die Hand nehmen zum Registrieren.', ''),
(88, 'plugin', '#item_chest', 1, 1, 0, 'There are items in the chest. No transfer.', 'Keine Items in der Truhe. Kein Transfer.', ''),
(89, 'plugin', '#auction_status_title', 1, 1, 0, 'Auction Status', 'Auktion Status', ''),
(90, 'plugin', '#show_auction', 1, 1, 0, 'Auktionen', 'Auctions', ''),
(91, 'plugin', '#show_postbox', 1, 1, 0, 'Post box', 'Postfach', ''),
(92, 'plugin', '#show_money', 1, 1, 0, 'Money', 'Geld', ''),
(93, 'plugin', '#show_storehouse', 1, 1, 0, 'Store House', 'Lagerhaus', ''),
(94, 'plugin', '#show_item_status', 1, 1, 0, 'Show Item Status', 'Zeige Item Status', ''),
(95, 'plugin', '#show_item_owner', 1, 1, 0, 'Owner', 'Besitzer', ''),
(96, 'plugin', '#show_item_id', 1, 1, 0, 'ItemID', 'ItemID', ''),
(97, 'plugin', '#show_item_stacksize', 1, 1, 0, 'Stack', 'Stack', ''),
(98, 'plugin', '#show_item_price', 1, 1, 0, 'Price', 'Preis', ''),
(99, 'plugin', '#show_item_name', 1, 1, 0, 'Item Name ', 'Item Name', ''),
(100, 'plugin', '#show_item_ench', 1, 1, 0, 'Enchantment', 'Verzauberung', ''),
(101, 'itemDetails', 'LBL_OWNER', 1, 1, 0, 'Owner', 'Besitzer', ''),
(102, 'itemDetails', 'LBL_ITEMID', 1, 1, 0, 'Item ID', 'Item ID', 'Item ID'),
(103, 'itemDetails', 'LBL_STACKSIZE', 1, 1, 0, 'Stack Size', 'Stack größe', ''),
(104, 'itemDetails', 'LBL_PRICE', 1, 1, 0, 'Price', 'Preis', ''),
(105, 'itemDetails', 'LBL_SINGLE_PRICE', 1, 1, 0, 'Single Price', 'Einzel Preis', ''),
(106, 'itemDetails', 'LBL_ENCHANTMENTS', 1, 1, 0, 'Enchantments', 'Verzauberung', ''),
(107, 'itemDetails', 'LBL_LEVEL', 1, 1, 0, 'Level', 'Level', 'Level'),
(108, 'itemDetails', 'LBL_STATS', 1, 1, 0, 'Statistics', 'Statistik', ''),
(109, 'itemDetails', 'LBL_TOTAL_SOLD', 1, 1, 0, 'Toal Sold', 'Insgesamt verkauft', ''),
(110, 'itemDetails', 'LBL_TOTAL_BUY', 1, 1, 0, 'Total Buy', 'Insgesamt gekauft', ''),
(111, 'itemDetails', 'LBL_NO', 1, 1, 0, 'No', 'Nein', ''),
(112, 'itemDetails', 'LBL_YES', 1, 1, 0, 'Yes', 'Ja', '');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_language_list`
--

CREATE TABLE IF NOT EXISTS `ah_language_list` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Language ID list',
  `langFlag` varchar(20) NOT NULL COMMENT 'Example: DE',
  `languageName` varchar(20) NOT NULL COMMENT 'Sprachen Name: Deutsch',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Daten für Tabelle `ah_language_list`
--

INSERT INTO `ah_language_list` (`id`, `langFlag`, `languageName`) VALUES
(1, 'en_us', 'English'),
(2, 'de_de', 'Deutsch'),
(3, 'it_it', 'Italienisch');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_language_navi`
--

CREATE TABLE IF NOT EXISTS `ah_language_navi` (
  `id` int(11) NOT NULL COMMENT 'Label ID',
  `de` varchar(300) NOT NULL COMMENT 'Deutsche Übersetzung',
  `en` varchar(300) NOT NULL COMMENT 'Englische Übersetzung',
  `navName` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `ah_language_navi`
--

INSERT INTO `ah_language_navi` (`id`, `de`, `en`, `navName`) VALUES
(1, 'Startseite', 'Home', '#menu1'),
(2, 'Deine Auktionen', 'Your Auctions', '#menu2'),
(3, 'Dein Lagerhaus', 'Your StoreHouse', '#menu3'),
(4, 'Dein Postfach', 'Your Post Box', '#menu4'),
(5, 'Profil Einstellungen', 'Profil Settings', '#menu5'),
(6, 'Deine Statistik', 'Your Statistic', '#menu6'),
(7, 'Feedback', 'Feedback', '#menu7'),
(8, 'Ausloggen', 'LogOut', '#menu8'),
(0, 'Alle Items', 'All Items', '#nav_all'),
(0, 'Holz', 'Wood', '#nav_wood'),
(0, 'Leder', 'Lether', '#nav_lether'),
(0, 'Eisen', 'Iron', '#nav_iron'),
(0, 'Diamand', 'Diamond', '#nav_diamond'),
(0, 'Gold', 'Gold', '#nav_gold'),
(0, 'Stein Blöcke', 'Stone Blocks', '#nav_stone_blocks'),
(0, 'Holz Blöcke', 'Wood Blocks', '#nav_wood_blocks'),
(0, 'Erz Blöcke', 'Ore Blocks', '#nav_ore_blocks'),
(0, 'Wolle', 'Wool', '#nav_wool'),
(0, 'Waffen & Werkzeug', 'Weapon & Tools', '#nav_w_t'),
(0, 'Rüstung', 'Armor', '#nav_armor'),
(0, 'Nahrungsmittel', 'Food', '#nav_food'),
(0, 'Tränke', 'Drinks', '#nav_drinks'),
(0, 'Sonstiges', 'Something', '#nav_something'),
(0, 'Warenkorb', 'Cart List', '#nav_cart'),
(0, 'Minecraft Auktionen', 'Minecraft Auctions', '#mc_titel');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_language_sequence`
--

CREATE TABLE IF NOT EXISTS `ah_language_sequence` (
  `id` int(11) NOT NULL COMMENT 'Language ID List',
  `sequence` int(11) NOT NULL COMMENT 'Sortiere Menue auflistung'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ah_session_list`
--

CREATE TABLE IF NOT EXISTS `ah_session_list` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Session List ID',
  `authLoginName` varchar(300) NOT NULL COMMENT 'Authentifizierungs LoginName : Adminstrator',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

--
-- Daten für Tabelle `ah_session_list`
--

INSERT INTO `ah_session_list` (`id`, `authLoginName`) VALUES
(1, 'Administrator'),
(2, 'Moderator'),
(3, 'Customer'),
(4, 'Guest'),
(5, 'Super Administrator'),
(6, 'Player');

--
-- Constraints der exportierten Tabellen
--

--
-- Constraints der Tabelle `ah_accounts_language`
--
ALTER TABLE `ah_accounts_language`
  ADD CONSTRAINT `ah_accounts_language_ibfk_1` FOREIGN KEY (`id`) REFERENCES `ah_accounts` (`id`) ON DELETE CASCADE;

--
-- Constraints der Tabelle `ah_accounts_limit`
--
ALTER TABLE `ah_accounts_limit`
  ADD CONSTRAINT `ah_accounts_limit_ibfk_1` FOREIGN KEY (`id`) REFERENCES `ah_accounts` (`id`) ON DELETE CASCADE;

--
-- Constraints der Tabelle `ah_accounts_log`
--
ALTER TABLE `ah_accounts_log`
  ADD CONSTRAINT `ah_accounts_log_ibfk_1` FOREIGN KEY (`id`) REFERENCES `ah_accounts` (`id`) ON DELETE CASCADE;

--
-- Constraints der Tabelle `ah_accounts_money`
--
ALTER TABLE `ah_accounts_money`
  ADD CONSTRAINT `ah_accounts_money_ibfk_1` FOREIGN KEY (`id`) REFERENCES `ah_accounts` (`id`) ON DELETE CASCADE;

--
-- Constraints der Tabelle `ah_accounts_person`
--
ALTER TABLE `ah_accounts_person`
  ADD CONSTRAINT `ah_accounts_person_ibfk_1` FOREIGN KEY (`id`) REFERENCES `ah_accounts` (`id`) ON DELETE CASCADE;

--
-- Constraints der Tabelle `ah_accounts_session`
--
ALTER TABLE `ah_accounts_session`
  ADD CONSTRAINT `ah_accounts_session_ibfk_1` FOREIGN KEY (`id`) REFERENCES `ah_accounts` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `ah_accounts_session_ibfk_2` FOREIGN KEY (`sessionId`) REFERENCES `ah_session_list` (`id`) ON DELETE CASCADE;

--
-- Constraints der Tabelle `ah_items_auctions`
--
ALTER TABLE `ah_items_auctions`
  ADD CONSTRAINT `ah_items_auctions_ibfk_1` FOREIGN KEY (`id`) REFERENCES `ah_items` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `ah_items_auctions_ibfk_2` FOREIGN KEY (`playerId`) REFERENCES `ah_accounts` (`id`) ON DELETE NO ACTION;

--
-- Constraints der Tabelle `ah_items_log`
--
ALTER TABLE `ah_items_log`
  ADD CONSTRAINT `ah_items_log_ibfk_1` FOREIGN KEY (`playerBuyId`) REFERENCES `ah_accounts` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ah_items_log_ibfk_2` FOREIGN KEY (`playerSellId`) REFERENCES `ah_accounts` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `ah_items_log_ibfk_4` FOREIGN KEY (`logActionId`) REFERENCES `ah_items_log_modes` (`id`) ON DELETE CASCADE;

--
-- Constraints der Tabelle `ah_items_postbox`
--
ALTER TABLE `ah_items_postbox`
  ADD CONSTRAINT `ah_items_postbox_ibfk_1` FOREIGN KEY (`id`) REFERENCES `ah_items` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `ah_items_postbox_ibfk_2` FOREIGN KEY (`playerId`) REFERENCES `ah_accounts` (`id`) ON DELETE NO ACTION;

--
-- Constraints der Tabelle `ah_items_storehouse`
--
ALTER TABLE `ah_items_storehouse`
  ADD CONSTRAINT `ah_items_storehouse_ibfk_1` FOREIGN KEY (`id`) REFERENCES `ah_items` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `ah_items_storehouse_ibfk_2` FOREIGN KEY (`playerId`) REFERENCES `ah_accounts` (`id`) ON DELETE NO ACTION;

--
-- Constraints der Tabelle `ah_language_items`
--
ALTER TABLE `ah_language_items`
  ADD CONSTRAINT `ah_language_items_ibfk_1` FOREIGN KEY (`id`) REFERENCES `ah_items_icons` (`itemLanguageId`) ON DELETE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
